
/*-- SEQ 0001 --*/
-- Tarefa 93905 --
INSERT INTO TT_JOB (NOMJOB,DESJOB,ULTEXE,QTDERR,ULTERR)
                VALUES ('JOB_CALCMEDIADESVIOPXF','Rotina que calcula media e desvio padrao da TT_PXF',Agora(),0,NULL);




/*-- SEQ 0002 --*/
-- Tarefa 93768 --
/*-- SEQ 0003 --*/
CREATE OR REPLACE FUNCTION temp_IsFeriadoAberto (p_Filial IN TT_FER.FILFER%TYPE ,
                                    p_Data IN Date )
RETURN VARCHAR2 IS

-- Objetivos:
-- 1. Verifcar se o dia é feriado com loja aberta

-- Declaração de variáveis
c_RESULTADO VARCHAR2(1);
WK_CONTA    Number(10);

-- Início da função
BEGIN

  SELECT COALESCE(COUNT(*),0) INTO WK_CONTA FROM TT_FER
   WHERE ((FILFER IS NULL) OR (FILFER=p_Filial))
     AND DIAFER = TO_NUMBER(TO_CHAR(p_Data,'DD'))
     AND MESFER = TO_NUMBER(TO_CHAR(p_Data,'MM'))
     AND ((ANOFER = TO_NUMBER(TO_CHAR(p_Data,'YYYY'))) OR (ANOFER IS NULL))
     AND LOJABR = 'T';

  IF WK_CONTA > 0 THEN
    c_RESULTADO := 'T';
  ELSE
    c_RESULTADO := 'F';
  END IF;

  RETURN c_RESULTADO;

END temp_IsFeriadoAberto;
/

/*-- SEQ 0004 --*/
-- Tarefa 93768 --
/*-- SEQ 0005 --*/
CREATE OR REPLACE FUNCTION temp_DiaUtil (P_FILIAL IN TD_FIL.CODFIL%TYPE ,
                                    P_DATA IN Date )
RETURN VARCHAR2 IS
     WK_CONTA  Number(10);
     WK_DIASEM Number(1);
BEGIN

  -- VERIFICA SE O DIA E FERIADO.
  SELECT COUNT(*) INTO WK_CONTA FROM TT_FER
  WHERE ((FILFER IS NULL) OR (FILFER=P_FILIAL))
    AND DIAFER = TO_NUMBER(TO_CHAR(P_DATA,'DD'))
    AND MESFER = TO_NUMBER(TO_CHAR(P_DATA,'MM'))
    AND ((ANOFER = TO_NUMBER(TO_CHAR(P_DATA,'YYYY'))) OR (ANOFER IS NULL));

  IF WK_CONTA > 0 THEN
    -- É FERIADO
    RETURN 'F';
  END IF;

  -- NO BANCO O DOMINGO É CODIGO 1, JÁ NO SISTEMA É CÓDIGO 0
  -- DIASEM GUARDA O DIA DA SEMANA, INICIANDO DE 0
  WK_DIASEM := TO_NUMBER(TO_CHAR(P_DATA,'D'))-1;

  -- VERIFICA SE FILIAL POSSUI EXPEDIENTE
  SELECT COUNT(*) INTO WK_CONTA
    FROM TT_EXP
   WHERE CODFIL = P_FILIAL;

  IF WK_CONTA>0 THEN

    -- VERIFICA SE DIA DA SEMANA ESTÁ NO EXPEDIENTE DA FILIAL
    SELECT COUNT(*) INTO WK_CONTA
      FROM TT_EXP
     WHERE CODFIL = P_FILIAL
       AND DIASEM = WK_DIASEM;

     IF WK_CONTA > 0 THEN
       RETURN 'T';
     ELSE
       RETURN 'F';
     END IF;
  ELSE
     -- SE NAO TEM EXPEDIENTE, CONSIDERA DIA UTIL SEGUNDA A SEXTA
     IF WK_DIASEM IN (1,2,3,4,5) THEN
       RETURN 'T';
     ELSE
       RETURN 'F';
     END IF;
  END IF;
END temp_DiaUtil;
/

/*-- SEQ 0006 --*/
-- Tarefa 93768 --
ALTER TABLE TT_UTL DISABLE ALL TRIGGERS;


/*-- SEQ 0007 --*/
-- Tarefa 93768 --
INSERT INTO TT_UTL
SELECT TAB.DATOPE, TAB.CODFIL, TAB.FERABE
  FROM
(
  SELECT SUB.*
    FROM
  (
    SELECT DAT.DATOPE,
           DFIL.CODFIL,
           CAST(TO_CHAR(TO_NUMBER(TO_CHAR(DAT.DATOPE,'D'))-1) AS CHAR(1)) AS DIASEM,
           CAST(temp_IsFeriadoAberto(DFIL.CODFIL,DAT.DATOPE) AS VARCHAR2(1)) AS FERABE
      FROM TT_DAT DAT CROSS JOIN TD_FIL DFIL
  ) SUB
 WHERE (temp_DiaUtil(SUB.CODFIL,SUB.DATOPE) = 'T') OR (SUB.FERABE = 'T')
) TAB;

/*-- SEQ 0008 --*/
-- Tarefa 93768 --
ALTER TABLE TT_UTL ENABLE ALL TRIGGERS;

/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP FUNCTION temp_IsFeriadoAberto;

/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP FUNCTION temp_DiaUtil;

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP TRIGGER TGUTL;


/*-- SEQ 0012 --*/
-- Tarefa 94812 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD MOTCAN VARCHAR2(4000) ;



/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92964 --
SELECT * FROM NADA;


/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
CREATE TABLE TT_VAT (
    CODTAB Number(10),
    MODULO Number(2),
    VERSAO Number(4,2),
    DETVER CHAR(1),
    RELEAS Number(2)
  ) TABLESPACE TOTALL_DATA;

 
/*-- SEQ 0015 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ADD CONSTRAINT PK_VAT PRIMARY KEY (CODTAB);

/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
CREATE SEQUENCE SQVAT INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT MODIFY (MODULO CONSTRAINT NN_VAT_MODULO NOT NULL);


/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT MODIFY (VERSAO CONSTRAINT NN_VAT_VERSAO NOT NULL);


/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT MODIFY (RELEAS CONSTRAINT NN_VAT_RELEAS NOT NULL);


/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ADD CONSTRAINT CK_VAT_MODULO CHECK (MODULO = 1);


/*-- SEQ 0021 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CK4G_VERSAO_HOMOL Number(4,2) ;

 
/*-- SEQ 0022 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CK4G_DETVER_HOMOL CHAR(1) ;


/*-- SEQ 0023 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CK4G_RELEAS_HOMOL Number(2) ;

 
/*-- SEQ 0024 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CK4G_VERSAO_PRODU Number(4,2) ;
 

/*-- SEQ 0025 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CK4G_DETVER_PRODU CHAR(1) ;
 

/*-- SEQ 0026 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CK4G_RELEAS_PRODU Number(2) ;
 

/*-- SEQ 0027 --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CK4G_REGRA_ATUALIZACAO CHAR(1) DEFAULT 'S';

/*-- SEQ 0029 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS; 
 
/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG MODIFY (CK4G_REGRA_ATUALIZACAO CONSTRAINT NN_CFG_CK4G_REGRA_ATUALIZACAO NOT NULL);


/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CK4G_REGRA_ATUALIZACAO CHECK (CK4G_REGRA_ATUALIZACAO IN ('S','C','N'));
 
/*-- SEQ 0032 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CK4G_VERSAO_HOMOL Number(4,2) ;

 
/*-- SEQ 0033 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CK4G_DETVER_HOMOL CHAR(1) ;


/*-- SEQ 0034 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CK4G_RELEAS_HOMOL Number(2) ;

 
/*-- SEQ 0035 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CK4G_VERSAO_PRODU Number(4,2) ;
 

/*-- SEQ 0036 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CK4G_DETVER_PRODU CHAR(1) ;
 

/*-- SEQ 0037 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CK4G_RELEAS_PRODU Number(2) ;
 

/*-- SEQ 0038 --*/
-- Tarefa 94863 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CK4G_REGRA_ATUALIZACAO CHAR(1) DEFAULT 'S';

/*-- SEQ 0040 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS; 


/*-- SEQ 0041 --*/
-- Tarefa 94865 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD CK4G_MANMOV Number(5) ;

 
/*-- SEQ 0042 --*/
-- Tarefa 94865 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD CK4G_MANLOG_DET Number(5) ;


/*-- SEQ 0043 --*/
-- Tarefa 94865 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD CK4G_MANLOG_GER Number(5) ;

 
/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94865 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_CK4G_MANMOV CHECK (CK4G_MANMOV >= 0);
 
/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94865 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_CK4G_MANLOG_DET CHECK (CK4G_MANLOG_DET >= 0);

/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94865 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_CK4G_MANLOG_GER CHECK (CK4G_MANLOG_GER >= 0);


/*-- SEQ 0047 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD CK4G_MANMOV Number(5) ;


/*-- SEQ 0048 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD CK4G_MANLOG_DET Number(5) ;


/*-- SEQ 0049 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD CK4G_MANLOG_GER Number(5) ;


/*-- SEQ 0050 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD CK4G_HOMOL VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0052 --*/
ALTER TABLE TD_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0053 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD CK4G_VERSAO Number(4,2) ;


/*-- SEQ 0054 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD CK4G_DETVER CHAR(1) ;


/*-- SEQ 0055 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD CK4G_RELEAS_HOMOL Number(2) ;


/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF MODIFY (CK4G_HOMOL CONSTRAINT NN_ECF_CK4G_HOMOL NOT NULL);


/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_MANMOV CHECK (CK4G_MANMOV >= 0);

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_MANLOG_DET CHECK (CK4G_MANLOG_DET >= 0);

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_MANLOG_GER CHECK (CK4G_MANLOG_GER >= 0);

/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_HOMOL CHECK (CK4G_HOMOL IN  ('T','F'));

/*-- SEQ 0061 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD CK4G_MANMOV Number(5) ;


/*-- SEQ 0062 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD CK4G_MANLOG_DET Number(5) ;


/*-- SEQ 0063 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD CK4G_MANLOG_GER Number(5) ;


/*-- SEQ 0064 --*/
-- Tarefa 94867 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0065 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD CK4G_HOMOL VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0066 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0067 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD CK4G_VERSAO Number(4,2) ;


/*-- SEQ 0068 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD CK4G_DETVER CHAR(1) ;


/*-- SEQ 0069 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD CK4G_RELEAS_HOMOL Number(2) ;



/*-- SEQ 0070 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
CREATE UNIQUE INDEX I_UQ_VAT_MODVERDETREL ON TT_VAT (MODULO, VERSAO, COALESCE(DETVER, ''), RELEAS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0071 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ADD CONSTRAINT CK_VAT_VERSAO CHECK (VERSAO >= 0);

/*-- SEQ 0072 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ADD CONSTRAINT CK_VAT_RELEAS CHECK (RELEAS >= 0);


/*-- SEQ 0073 --*/
-- Tarefa 94918 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_USU ADD CHVMAT  CHAR(15) ;


/*-- SEQ 0074 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94918 --
CREATE UNIQUE INDEX I_UQ_USU_CHVMAT ON TT_USU (CHVMAT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0075 --*/
-- Tarefa 90011 --
ALTER TABLE TD_CCC ADD SQLCCC VARCHAR2(4000) ;

  
 /*-- SEQ 0076 --*/
-- Tarefa 90011 --
ALTER TABLE TW_TAB ADD SQLCCC VARCHAR2(4000) ;



/*-- SEQ 0077 --*/
-- Tarefa 94897 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_END ADD CHVCHK VARCHAR2(20) ;

  


/*-- SEQ 0078 --*/
-- Tarefa 91210 --
ALTER TABLE TD_PAI ADD ATU_EM Date ;


/*-- SEQ 0079 --*/
-- Tarefa 91210 --
ALTER TABLE TD_EST ADD ATU_EM Date ;


/*-- SEQ 0080 --*/
-- Tarefa 91210 --
ALTER TABLE TT_IBG ADD ATU_EM Date ;


/*-- SEQ 0081 --*/
-- Tarefa 91210 --
ALTER TABLE TT_CTA ADD ATU_EM Date ;
  

/*-- SEQ 0082 --*/
-- Tarefa 91210 --
CREATE INDEX I_LC_DPAI_ATU_EM ON TD_PAI (ATU_EM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0083 --*/
-- Tarefa 91210 --
CREATE INDEX I_LC_DEST_ATU_EM ON TD_EST (ATU_EM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0084 --*/
-- Tarefa 91210 --
CREATE INDEX I_LC_IBG_ATU_EM ON TT_IBG (ATU_EM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0085 --*/
-- Tarefa 91210 --
CREATE INDEX I_LC_CTA_ATU_EM ON TT_CTA (ATU_EM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0086 --*/
-- Tarefa 91210 --
ALTER TABLE TD_PAI DISABLE ALL TRIGGERS;


/*-- SEQ 0087 --*/
-- Tarefa 91210 --
UPDATE TD_PAI
   SET ATU_EM = (SELECT AGORA() FROM DUAL);
 
/*-- SEQ 0088 --*/
-- Tarefa 91210 --
ALTER TABLE TD_PAI ENABLE ALL TRIGGERS;

/*-- SEQ 0089 --*/
-- Tarefa 91210 --
ALTER TABLE TD_EST DISABLE ALL TRIGGERS;


/*-- SEQ 0090 --*/
-- Tarefa 91210 --
UPDATE TD_EST
   SET ATU_EM = (SELECT AGORA() FROM DUAL);
 
/*-- SEQ 0091 --*/
-- Tarefa 91210 --
ALTER TABLE TD_EST ENABLE ALL TRIGGERS;

/*-- SEQ 0092 --*/
-- Tarefa 91210 --
ALTER TABLE TT_IBG DISABLE ALL TRIGGERS;


/*-- SEQ 0093 --*/
-- Tarefa 91210 --
UPDATE TT_IBG
   SET ATU_EM = (SELECT AGORA() FROM DUAL);
 
/*-- SEQ 0094 --*/
-- Tarefa 91210 --
ALTER TABLE TT_IBG ENABLE ALL TRIGGERS;

/*-- SEQ 0095 --*/
-- Tarefa 91210 --
ALTER TABLE TT_CTA DISABLE ALL TRIGGERS;


/*-- SEQ 0096 --*/
-- Tarefa 91210 --
UPDATE TT_CTA
   SET ATU_EM = (SELECT AGORA() FROM DUAL);
 
/*-- SEQ 0097 --*/
-- Tarefa 91210 --
ALTER TABLE TT_CTA ENABLE ALL TRIGGERS;


/*-- SEQ 0098 --*/
-- Tarefa 93880 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;


/*-- SEQ 0099 --*/
-- Tarefa 93880 --
insert into TT_JOB (NOMJOB, DESJOB, ULTEXE, QTDERR, ULTERR)
select 'JOB_CALCELAST', 'Rotina para calcular a elasticidade dos precos', Agora(), 0, null
  from DUAL
  where not exists (
        select 1 as OK
          from TT_JOB
         where NOMJOB = 'JOB_CALCELAST'
        );

/*-- SEQ 0100 --*/
-- Tarefa 93880 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;


/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94867 --
ALTER TABLE TW_TAB ADD STATUS_DADOS VARCHAR2(4000) ;



/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93917 --
SELECT * FROM NADA;


/*-- SEQ 0103 --*/
-- Tarefa 93033 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0104 --*/
-- Tarefa 93033 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ESTORNFE', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ESTORNFE'));

/*-- SEQ 0105 --*/
-- Tarefa 93033 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0106 --*/
-- Tarefa 93692 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD FILMAT_TIN CHAR(3) ;


/*-- SEQ 0107 --*/
-- Tarefa 93692 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CODMAT_TIN CHAR(5) ;


/*-- SEQ 0108 --*/
-- Tarefa 93692 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CODCOR_TIN Number(5) ;


/*-- SEQ 0109 --*/
-- Tarefa 93692 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CODTAM_TIN Number(5) ;



-- Tarefa 94625 --
/*-- SEQ 0110 --*/
CREATE OR REPLACE FUNCTION temp_cria_pro 
RETURN VARCHAR2 IS
    iAux    Number(10);                 --  var auxiliar
    iAux2   Number(10);                 --  var auxiliar
    cFilMat TT_PRE.FILMAT%TYPE;         --  PK base: char(3)
    cCodMat TT_PRE.CODMAT%TYPE;         --  PK base: char(5)
    iCodGra TT_PRO.CODGRA%TYPE;         --  FK TD_GRA: Number(5)
    iCodCor TT_GRA.CODCOR%TYPE;         --  PK TT_GRA: Number(5)
    iCodTam TT_GRA.CODTAM%TYPE;         --  PK TT_GRA: Number(5)
    cSeqGra TT_GRA.SEQUEN%TYPE;         --  UK TT_GRA: char(10)
    vRefBas TT_PRO.REFBAS%TYPE;         --  UK TT_PRO.REFBAS: VARCHAR2(15)
    vRefPro TT_GRA.REFPRO%TYPE;         --  UK TT_GRA.REFPRO: VARCHAR2(20)
    cUF     TD_FIL.UFLOJA%TYPE;         --  PK TT_IUF: ESTADO CHAR(2)         
    cSeqPre TT_PRE.SEQUEN%TYPE;         --  PK TT_PRE: SEQUEN CHAR(10)
    cFilPre TT_PRE.FILMAT%TYPE;         --  PK TT_PRE: char(3)
    iCodPre TT_PRE.CODPRE%TYPE;         --  FK TT_PRE: CODPRE Number(5)
begin
    --  verificando se o produto auxiliar já está cadastrado
    select count(*)
      into iAux
      from TT_CFG CFG
     where CFG.FILMAT_AUX is not null
        or CFG.CODMAT_AUX is not null
        or CFG.CODCOR_AUX is not null
        or CFG.CODTAM_AUX is not null;
    --  cadastrando o produto auxiliar
    if  iAux = 0 then
        --  buscando as PKs da TT_PRO
        select CODLOJ
          into cFilMat
          from TT_IDF
               
         where ROWNUM = 1
                                      ;
        select (COD.ULTCOD)
          into iAux
          from TT_COD COD
         where COD.CODTAB = 'PRO'
           and COD.FILCOD = cFilMat;
        --  insert em TT_COD (não existe um registro para a TT_PRO para a cFilMat)
        if  iAux is null then
            iAux := 0;
            insert into TT_COD (CODTAB, FILCOD, ULTCOD, SEQUEN, CODSER, CODCHV)
                values ('PRO', cFilMat, iAux, ProximoCodigo('TT_COD', cFilMat), null, null);
        end if;
        --  validando se o código do produto está sendo utilizando
        -- (em caso positivo pega o próximo)
        loop
            iAux := iAux + 1;
            cCodMat := Lpad(iAux, 5, ' ');
            select count(PRO.FILMAT)
              into iAux2
              from TT_PRO PRO
             where PRO.FILMAT = cFilMat
               and PRO.CODMAT = cCodMat;
            exit when iAux2 = 0;
        end loop;
        --  update em TT_COD
        update TT_COD
           set ULTCOD = iAux
         where CODTAB = 'PRO'
           and FILCOD = cFilMat;
        --  buscando a FK da TD_GRA para o TT_PRO.CODGRA
        --  esta informação também é utilizada para definir o TT_GRA.CODCOR e TT_GRA.CODTAM
        select min(DGRA.CODTAB)
          into iCodGra
          from TD_GRA DGRA
         where DGRA.CODTAB >= 0
           and DGRA.GRAATI = 'T';
        --  buscando as PKs e UKs da TT_GRA
        --  iCodCor
        select min(DIV.CODITE)
          into iCodCor
          from TT_DIV DIV
         inner join TD_GRA DGRA
                 on DGRA.CODTAB = iCodGra
                and DIV.CODDIV = DGRA.CODDIV;
        --  iCodTam
        select min(SUB.CODITE)
          into iCodTam
          from TT_SUB SUB
         inner join TD_GRA DGRA
                 on DGRA.CODTAB = iCodGra
                and SUB.CODSUB = DGRA.CODSUB;
        --  tive que fazer deste jeito porque a macro NEXTVAL_SELECT estava gerando erro de string...
        
        cSeqGra := Lpad((SQGRA.NEXTVAL), 10, ' ');
                        --  criando um código único para TT_PRO.REFBAS
        iAux := to_number(Trim(cCodMat));
        loop
            vRefBas := cFilMat || to_char(iAux);
            select sum(TAB.QTD) as QTD
              into iAux2
              from (
                   select count(*) as QTD
                     from TT_PRO
                    where REFBAS = vRefBas
                   union all
                   select count(*) as QTD
                     from TT_GRA
                    where REFPRO = vRefBas
                   union all
                   select count(*) as QTD
                     from TT_EAN
                    where CODEAN = vRefBas
              ) TAB;
            exit when iAux2 = 0;
            iAux := iAux + 1;
        end loop;
        --  criando um código único para TT_GRA.REFPRO
        iAux := 0;
        loop
            vRefPro := cFilMat || Trim(cCodMat) || to_char(iAux);
            select sum(TAB.QTD) as QTD
              into iAux2
              from (
                   select count(*) as QTD
                     from TT_PRO
                    where REFBAS = vRefPro
                   union all
                   select count(*) as QTD
                     from TT_GRA
                    where REFPRO = vRefPro
                   union all
                   select count(*) as QTD
                     from TT_EAN
                    where CODEAN = vRefPro
              ) TAB;
            exit when iAux2 = 0 and vRefBas <> vRefPro;
            iAux := iAux + 1;
        end loop;
        --  buscando a PK para a TT_IUF
        select UFLOJA
          into cUF
          from TD_FIL
         where CODFIL = cFilMat;
        if  cUF is null
        or  cUF = '' then
            cUF := 'SC';
        end if;
        --  buscando a PK e FK para TT_PRE
        --  tive que fazer deste jeito porque a macro NEXTVAL_SELECT estava gerando erro de string...
        
        cSeqPre := Lpad((SQPRE.NEXTVAL), 10, ' ');
                        --  buscando a tabela padrão de VAREJO
        select CFG.FILPRE,
               CFG.CODPRE
          into cFilPre,
               iCodPre
          from TT_CFG CFG
               
         where ROWNUM = 1
                                      ;
        if  cFilPre is null
        or  iCodPre is null then
            cFilPre := cFilMat;
            select min(CODPRE)
              into iCodPre
              from TT_TPR
             where CODFIL = cFilPre;
        end if;
        --  insert em TT_PRO
        insert into TT_PRO (
               FILMAT, CODMAT, CONTRA, ATU_EM, VALCON, BRINDE, 
               CLASS1, CLASS2, CLASS3, CLASS4, CLSXYZ, CODGRA, 
               CODSAZ, ETIQUE, TIPPRO, UNIDAD, UNIFOR, DECIMA, 
               MONTAR, NUMEXT, REFBAS, RESIRR, CONTRO, CODCTR,
               ENTREG, RETCOF, SUGSER, BALSIM, VALEST, TIPDOC,
               ISEPIS, ICMFED, ARRTRU, IIPTPR, IMPKIT, CODRGC,
               USALOT, CLSABC, DESMAT, SIGNAT)
        (select cFilMat,            -- FILMAT CHAR(3)
                cCodMat,            -- CODMAT CHAR(5)
                'F',     -- CONTRA CHAR(1)     
                agora(),            -- ATU_EM Date(7)     
                1,                  -- VALCON Number(14,4)
                0,                  -- BRINDE Number(5)   
                (select min(CODTAB) from TD_CL1 where CL1ATI = 'T'), -- CLASS1 Number(5)
                (select min(CODTAB) from TD_CL2 where CL2ATI = 'T'), -- CLASS2 Number(5)      
                (select min(CODTAB) from TD_CL3 where CL3ATI = 'T'), -- CLASS3 Number(5)      
                (select min(CODTAB) from TD_CL4 where CL4ATI = 'T'), -- CLASS4 Number(5)      
                1,                  -- CLSXYZ Number(5)
                iCodGra,            -- CODGRA Number(5)
                0,                  -- CODSAZ Number(5)
                (select min(CODTAB) from TD_ETI where ETIATI = 'T'), -- ETIQUE Number(5)
                0,                  -- TIPPRO Number(5)
                (select min(CODTAB) from TD_MED where MEDATI = 'T'), -- UNIDAD Number(5)
                (select min(CODTAB) from TD_MED where MEDATI = 'T'), -- UNIFOR Number(5)
                'F',     -- DECIMA VARCHAR2(1)
                'F',     -- MONTAR VARCHAR2(1)
                'F',     -- NUMEXT VARCHAR2(1)
                vRefBas,            -- REFBAS VARCHAR2(15)
                0,                  -- RESIRR Number(5)
                'F',     -- CONTRO VARCHAR2(1)
                0,                  -- CODCTR Number(5)
                'F',     -- ENTREG VARCHAR2(1)
                'T',     -- RETCOF VARCHAR2(1)
                'F',     -- SUGSER VARCHAR2(1)
                'F',     -- BALSIM CHAR(1)
                'T',     -- VALEST VARCHAR2(1)
                'N',     -- TIPDOC CHAR(1)
                'F',     -- ISEPIS VARCHAR2(1)
                'F',     -- ICMFED VARCHAR2(1)
                'A',     -- ARRTRU CHAR(1)
                'T',     -- IIPTPR CHAR(1)
                'F',     -- IMPKIT VARCHAR2(1)
                '0',     -- CODRGC Number(5)
                'F',     -- USALOT VARCHAR2(1)
                1,                  -- CLSABC Number(5)
                'Produto Auxiliar uso interno', -- DESMAT VARCHAR2(30)
                0                   -- SIGNAT Number(5)
           from DUAL
        );
        --  insert em TT_GRA
        insert into TT_GRA (
               FILMAT, CODMAT, CODCOR, CODTAM, SEQUEN, UNIDAD,
               UNIFOR, VALCON, PROMOC, VOLUNI, REFPRO, FORLIN,
               PREPSI, ATU_EM, GRAATI, QTDMUL, CODFIS, USABON)
        (select cFilMat,            -- FILMAT CHAR(3)
                cCodMat,            -- CODMAT CHAR(5)
                iCodCor,            -- CODCOR Number(5) DIV GRA.CODCOR=DIV.CODITE (+)
                iCodTam,            -- CODTAM Number(5) SUB GRA.CODTAM=SUB.CODITE (+)
                cSeqGra,            -- SEQUEN CHAR(10)
                (select min(CODTAB) from TD_MED where MEDATI = 'T'), -- UNIDAD Number(5) DMED
                (select min(CODTAB) from TD_MED where MEDATI = 'T'), -- UNIFOR Number(5) DMED
                1,                  -- VALCON Number(14,4)
                'F',     -- PROMOC VARCHAR2(1)
                'F',     -- VOLUNI VARCHAR2(1)
                vRefPro,            -- REFPRO VARCHAR2(20)
                'F',     -- FORLIN VARCHAR2(1)
                'T',     -- PREPSI VARCHAR2(1)
                agora(),            -- ATU_EM Date(7)
                'T',     -- GRAATI CHAR(1)
                0,                  -- QTDMUL Number(7,2)
                cFilMat || cCodMat || '-0-0', -- CODFIS VARCHAR2(60)
                'F'      -- USABON VARCHAR2(1)
           from DUAL
        );
        --  insert em TT_IUF
        insert into TT_IUF (
               FILMAT, CODMAT, ESTADO, RESICM, LUCSUB, SUBTRI,
               INSAGR, CALSUB, REGESP, PERSRV, ATU_EM, MVAVEN,
               MVAC07, MVAC12, FLGRED, REGESPIMP,      REDICM)
        (select cFilMat,            -- FILMAT CHAR(3)
                cCodMat,            -- CODMAT CHAR(5)
                cUF,                -- ESTADO CHAR(2)
                0,                  -- RESICM Number(5)       
                0,                  -- LUCSUB Number(5)       
                '0',     -- SUBTRI CHAR(1)         
                'F',     -- INSAGR VARCHAR2(1)     
                'D',     -- CALSUB CHAR(1)         
                0,                  -- REGESP Number(1)       
                0,                  -- PERSRV Number(5,2)     
                agora(),            -- ATU_EM Date(7)         
                0,                  -- MVAVEN Number(14,4)    
                0,                  -- MVAC07 Number(14,4)    
                0,                  -- MVAC12 Number(14,4)    
                'C',     -- FLGRED VARCHAR2(1)     
                'F',     -- REGESPIMP VARCHAR2(1)  
                'T'      -- REDICM VARCHAR2(1)     
           from DUAL
        );
        --  insert em TT_PRE
        insert into TT_PRE (
               FILPRE, SEQUEN, CODPRE, FLGEST, FILMAT, CODMAT,
               CODCOR, CODTAM, CODMOE, ATU_EM, DATINC)
        (select cFilPre,            -- FILPRE CHAR(3)
                cSeqPre,            -- SEQUEN CHAR(10)
                iCodPre,            -- CODPRE Number(5)
                'T',     -- FLGEST CHAR(1)
                cFilMat,            -- FILMAT CHAR(3)
                cCodMat,            -- CODMAT CHAR(5)
                iCodCor,            -- CODCOR Number(5)
                iCodTam,            -- CODTAM Number(5)
                0,                  -- CODMOE Number(2)
                agora(),            -- ATU_EM Date(7)
                agora()             -- DATINC Date(7)
           from DUAL
        );
        --  update em TT_CFG
        UPDATE TT_CFG SET
          FILMAT_AUX = cFilMat,
          CODMAT_AUX = cCodMat,
          CODCOR_AUX = iCodCor,
          CODTAM_AUX = iCodTam;
    end if;
    --  retorno da função
    return 'OK';
END temp_cria_pro;
/

/*-- SEQ 0111 --*/
-- Tarefa 94625 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;


/*-- SEQ 0112 --*/
-- Tarefa 94625 --
ALTER TABLE TT_GRA DISABLE ALL TRIGGERS;


/*-- SEQ 0113 --*/
-- Tarefa 94625 --
ALTER TABLE TT_IUF DISABLE ALL TRIGGERS;


/*-- SEQ 0114 --*/
-- Tarefa 94625 --
ALTER TABLE TT_PRE DISABLE ALL TRIGGERS;


/*-- SEQ 0115 --*/
-- Tarefa 94625 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0116 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
declare
  cDummy VARCHAR2(100);
begin
  cDummy := temp_cria_pro();
end;
/


/*-- SEQ 0117 --*/
-- Tarefa 94625 --
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0118 --*/
-- Tarefa 94625 --
ALTER TABLE TT_GRA ENABLE ALL TRIGGERS;

/*-- SEQ 0119 --*/
-- Tarefa 94625 --
ALTER TABLE TT_IUF ENABLE ALL TRIGGERS;

/*-- SEQ 0120 --*/
-- Tarefa 94625 --
ALTER TABLE TT_PRE ENABLE ALL TRIGGERS;

/*-- SEQ 0121 --*/
-- Tarefa 94625 --
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0122 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94625 --
DROP FUNCTION temp_cria_pro;


/*-- SEQ 0123 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92689 --
ALTER TABLE TT_CLI DROP CONSTRAINT CK_CLI_REGRA;


-- Tarefa 95077 --
/*-- SEQ 0124 --*/
CREATE OR REPLACE FUNCTION temp_upd_pro 
RETURN VARCHAR2 IS
    cFilMat TT_PRE.FILMAT%TYPE;         --  PK base: char(3)
    cCodMat TT_PRE.CODMAT%TYPE;         --  PK base: char(5)
begin
    --  buscando o código do produto auxiliar no TT_CFG
    select CFG.FILMAT_AUX,
           CFG.CODMAT_AUX
      into cFilMat,
           cCodMat
      from TT_CFG CFG
           
     where ROWNUM = 1
                          ;
    --  update em TT_COD
    update TT_PRO
       set SIGNAT = 0
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and ( SIGNAT is null OR SIGNAT < 0 );
    --  retorno da função
    return 'OK';
END temp_upd_pro;
/

/*-- SEQ 0125 --*/
-- Tarefa 95077 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;


/*-- SEQ 0126 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95077 --
declare
  cDummy VARCHAR2(100);
begin
  cDummy := temp_upd_pro();
end;
/


/*-- SEQ 0127 --*/
-- Tarefa 95077 --
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0128 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95077 --
DROP FUNCTION temp_upd_pro;


/*-- SEQ 0129 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95023 --
SELECT * FROM NADA;
 
/*-- SEQ 0130 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95023 --
SELECT * FROM NADA;

/*-- SEQ 0131 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95023 --
SELECT * FROM NADA;

/*-- SEQ 0132 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95023 --
SELECT * FROM NADA;

/*-- SEQ 0133 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95023 --
SELECT * FROM NADA;
   
/*-- SEQ 0134 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95023 --
SELECT * FROM NADA;


/*-- SEQ 0135 --*/
-- Tarefa 91227 --
ALTER TABLE TT_CFG ADD CFG_LIMITESANGRIACHEQUE Number(14,2) ;


/*-- SEQ 0136 --*/
-- Tarefa 91227 --
ALTER TABLE TT_CFG ADD CFG_SANGRIAFECHAMENTO Number(5) ;


/*-- SEQ 0137 --*/
-- Tarefa 91227 --
ALTER TABLE TT_CFG ADD CFG_REFORCOABERTURA Number(5) ;


/*-- SEQ 0138 --*/
-- Tarefa 91227 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DCAI_SANGRIAFECHA FOREIGN KEY (CFG_SANGRIAFECHAMENTO) REFERENCES TD_CAI(CODTAB);

/*-- SEQ 0139 --*/
-- Tarefa 91227 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DCAI_REFORCOABER FOREIGN KEY (CFG_REFORCOABERTURA) REFERENCES TD_CAI(CODTAB);

/*-- SEQ 0140 --*/
-- Tarefa 91227 --
ALTER TABLE TW_CFG ADD CFG_LIMITESANGRIACHEQUE Number(14,2) ;


/*-- SEQ 0141 --*/
-- Tarefa 91227 --
ALTER TABLE TW_CFG ADD CFG_SANGRIAFECHAMENTO Number(5) ;


/*-- SEQ 0142 --*/
-- Tarefa 91227 --
ALTER TABLE TW_CFG ADD CFG_REFORCOABERTURA Number(5) ;



/*-- SEQ 0143 --*/
-- Tarefa 95007 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0144 --*/
ALTER TABLE TT_CFG ADD CFG_TAMANHOMATRICULA Number(2) DEFAULT '12';

/*-- SEQ 0145 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0146 --*/
-- Tarefa 95007 -- 
ALTER TABLE TT_CFG MODIFY (CFG_TAMANHOMATRICULA CONSTRAINT NN_CFG_TAMANHOMATRICULA NOT NULL);


/*-- SEQ 0147 --*/
-- Tarefa 95007 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CFG_TAMANHOMATRICULA CHECK (CFG_TAMANHOMATRICULA IN (5,6,7,9,10,12,15));

/*-- SEQ 0148 --*/
-- Tarefa 95007 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0149 --*/
ALTER TABLE TW_CFG ADD CFG_TAMANHOMATRICULA Number(2) DEFAULT '12';

/*-- SEQ 0150 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;



/*-- SEQ 0151 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 93786 --  
ALTER TABLE TT_MCF DROP CONSTRAINT CK_MCF_FLGCAN;  

/*-- SEQ 0152 --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGCAN CHECK (FLGCAN IN ('S','N'));


/*-- SEQ 0153 --*/
-- Tarefa 95107 --
ALTER TABLE TT_VEN ADD FILORI CHAR(3) ;


/*-- SEQ 0154 --*/
-- Tarefa 95107 --
ALTER TABLE TT_VEN ADD SEQORI CHAR(10) ;


/*-- SEQ 0155 --*/
-- Tarefa 95107 --
ALTER TABLE TT_VEN ADD CONSTRAINT FK_VEN_VEN_ORI FOREIGN KEY (FILORI,SEQORI) REFERENCES TT_VEN (CODFIL, SEQUEN);






/*-- SEQ 0156 --*/
-- Tarefa 95023 --
ALTER TABLE TT_SLT ADD ATU_EM Date ;

 
/*-- SEQ 0157 --*/
-- Tarefa 95023 --
CREATE INDEX I_LC_SLT_ATU_EM ON TT_SLT (CODFIL, CODMUL, ATU_EM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0158 --*/
-- Tarefa 95023 --
ALTER TABLE TT_SLT DISABLE ALL TRIGGERS;


/*-- SEQ 0159 --*/
-- Tarefa 95023 --
UPDATE TT_SLT SLT
  SET ATU_EM = (SELECT LOT.ATU_EM FROM TT_LOT LOT WHERE LOT.CODFIL = SLT.FILLOT AND LOT.SEQUEN = SLT.SEQLOT)
WHERE SLT.ATU_EM IS NULL;
   
/*-- SEQ 0160 --*/
-- Tarefa 95023 --
ALTER TABLE TT_SLT ENABLE ALL TRIGGERS;

/*-- SEQ 0161 --*/
-- Tarefa 95023 --
ALTER TABLE TT_SLT MODIFY (ATU_EM CONSTRAINT NN_SLT_ATU_EM NOT NULL);



/*-- SEQ 0162 --*/
-- Tarefa 95127 --
CREATE TABLE TT_TRN (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    NUMECF CHAR(3),
    TRN_ID Number(12,0),
    CODSER CHAR(2),
    CUPFIS CHAR(6),
    TXTTRN LONG,
    MSGERR VARCHAR2(4000),
    FLGEST CHAR(1) DEFAULT 'P',
    DATINC Date
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0163 --*/ 
-- Tarefa 95127 --
ALTER TABLE TT_TRN ADD CONSTRAINT PK_TRN PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0164 --*/ 
-- Tarefa 95127 --
CREATE INDEX I_LC_TRN_FILECFID ON TT_TRN (CODFIL, NUMECF, TRN_ID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0165 --*/ 
-- Tarefa 95127 --
CREATE INDEX I_LC_TRN_CUPFIS ON TT_TRN (CUPFIS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0166 --*/ 
-- Tarefa 95127 --
ALTER TABLE TT_TRN ADD CONSTRAINT CK_TRN_FLGEST CHECK (FLGEST IN ('P','C','1'));

/*-- SEQ 0167 --*/
-- Tarefa 95127 --
ALTER TABLE TT_TRN MODIFY (NUMECF CONSTRAINT NN_TRN_NUMECF NOT NULL);


/*-- SEQ 0168 --*/
-- Tarefa 95127 --
ALTER TABLE TT_TRN MODIFY (TRN_ID CONSTRAINT NN_TRN_TRN_ID NOT NULL);


/*-- SEQ 0169 --*/
-- Tarefa 95127 --
ALTER TABLE TT_TRN MODIFY (DATINC CONSTRAINT NN_TRN_DATINC NOT NULL);


/*-- SEQ 0170 --*/
-- Tarefa 95127 --
ALTER TABLE TT_TRN MODIFY (FLGEST CONSTRAINT NN_TRN_FLGEST NOT NULL);


/*-- SEQ 0171 --*/
-- Tarefa 95127 --
ALTER TABLE TT_TRN MODIFY (TXTTRN CONSTRAINT NN_TRN_TXTTRN NOT NULL);


/*-- SEQ 0172 --*/
-- Tarefa 95127 --
CREATE SEQUENCE SQTRN INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;



/*-- SEQ 0173 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_NFE ADD VEN_CODFIL CHAR(3) ;


/*-- SEQ 0174 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_NFE ADD VEN_SEQUEN CHAR(10) ;


/*-- SEQ 0175 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD IVE_CODFIL CHAR(3) ;


/*-- SEQ 0176 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD IVE_SEQUEN CHAR(10) ;


/*-- SEQ 0177 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD IVE_NUMITE Number(5) ;


/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
ALTER TABLE TT_NFE ADD CONSTRAINT FK_NFE_VEN FOREIGN KEY (VEN_CODFIL,VEN_SEQUEN) REFERENCES TT_VEN (CODFIL,SEQUEN);

/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
CREATE INDEX I_FK_NFE_VEN ON TT_NFE (VEN_CODFIL,VEN_SEQUEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
ALTER TABLE TT_INF ADD CONSTRAINT FK_INF_IVE FOREIGN KEY (IVE_CODFIL,IVE_SEQUEN,IVE_NUMITE) REFERENCES TT_IVE (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
CREATE INDEX I_FK_INF_IVE ON TT_INF (IVE_CODFIL,IVE_SEQUEN,IVE_NUMITE) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0182 --*/
-- Tarefa 95154 --
ALTER TABLE TT_LOT ADD CODEXT VARCHAR2(20) ;

 
/*-- SEQ 0183 --*/
-- Tarefa 95154 --
CREATE UNIQUE INDEX I_UQ_LOT_CODEXT ON TT_LOT (CODEXT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0184 --*/
-- Tarefa 95156 --
CREATE TABLE TI_SLT (
    CODEXT VARCHAR2(20),
    CODFIL CHAR(3),
    DESEST VARCHAR2(30),
    LANENT VARCHAR2(30),
    LANSAI VARCHAR2(30),
    QTDEST Number(12,4),
    RESERV Number(12,4),
    DATCRI Date,
    STATUS Number(1) DEFAULT 0,
    MOTREJ VARCHAR2(255),
    DATIMP Date
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0185 --*/
-- Tarefa 95156 --
ALTER TABLE TI_SLT MODIFY (CODEXT CONSTRAINT NN_ISLT_CODEXT NOT NULL);


/*-- SEQ 0186 --*/
-- Tarefa 95156 --
ALTER TABLE TI_SLT MODIFY (CODFIL CONSTRAINT NN_ISLT_CODFIL NOT NULL);


/*-- SEQ 0187 --*/
-- Tarefa 95156 --
ALTER TABLE TI_SLT MODIFY (DESEST CONSTRAINT NN_ISLT_DESEST NOT NULL);


/*-- SEQ 0188 --*/
-- Tarefa 95156 --
ALTER TABLE TI_SLT MODIFY (LANENT CONSTRAINT NN_ISLT_LANENT NOT NULL);


/*-- SEQ 0189 --*/
-- Tarefa 95156 --
ALTER TABLE TI_SLT MODIFY (LANSAI CONSTRAINT NN_ISLT_LANSAI NOT NULL);


/*-- SEQ 0190 --*/
-- Tarefa 95156 --
ALTER TABLE TI_SLT MODIFY (DATCRI CONSTRAINT NN_ISLT_DATCRI NOT NULL);

  
/*-- SEQ 0191 --*/
-- Tarefa 95156 --
ALTER TABLE TI_SLT MODIFY (STATUS CONSTRAINT NN_ISLT_STATUS NOT NULL);


/*-- SEQ 0192 --*/
-- Tarefa 95156 --
CREATE INDEX I_LC_ISLT_CODEXT ON TI_SLT (CODEXT, STATUS ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0193 --*/
-- Tarefa 95156 --
CREATE INDEX I_LC_ISLT_STATUS ON TI_SLT (STATUS, DATCRI ) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0194 --*/
-- Tarefa 95155 --
CREATE TABLE TI_LOT (
    CODEXT VARCHAR2(20),
    CODFIL CHAR(3),
    GRA_CODEXT VARCHAR2(20),
    FOR_CODEXT VARCHAR2(20),
    NUMLOT VARCHAR2(40),
    TONALI VARCHAR2(20),
    TAMANH VARCHAR2(20),
    DATVAL Date,
    QTDINI Number(12,4),
    FLGPON VARCHAR2(1) DEFAULT 'F',
    DATCRI Date,
    STATUS Number(1) DEFAULT 0,
    MOTREJ VARCHAR2(255),
    DATIMP Date
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0195 --*/
-- Tarefa 95155 --
ALTER TABLE TI_LOT MODIFY (CODEXT CONSTRAINT NN_ILOT_CODEXT NOT NULL);


/*-- SEQ 0196 --*/
-- Tarefa 95155 --
ALTER TABLE TI_LOT MODIFY (CODFIL CONSTRAINT NN_ILOT_CODFIL NOT NULL);


/*-- SEQ 0197 --*/
-- Tarefa 95155 --
ALTER TABLE TI_LOT MODIFY (GRA_CODEXT CONSTRAINT NN_ILOT_GRA_CODEXT NOT NULL);


/*-- SEQ 0198 --*/
-- Tarefa 95155 --
ALTER TABLE TI_LOT MODIFY (FOR_CODEXT CONSTRAINT NN_ILOT_FOR_CODEXT NOT NULL);


/*-- SEQ 0199 --*/
-- Tarefa 95155 --
ALTER TABLE TI_LOT MODIFY (NUMLOT CONSTRAINT NN_ILOT_NUMLOT NOT NULL);


/*-- SEQ 0200 --*/
-- Tarefa 95155 --
ALTER TABLE TI_LOT MODIFY (FLGPON CONSTRAINT NN_ILOT_FLGPON NOT NULL);


/*-- SEQ 0201 --*/
-- Tarefa 95155 --
ALTER TABLE TI_LOT MODIFY (DATCRI CONSTRAINT NN_ILOT_DATCRI NOT NULL);


/*-- SEQ 0202 --*/
-- Tarefa 95155 --
ALTER TABLE TI_LOT MODIFY (STATUS CONSTRAINT NN_ILOT_STATUS NOT NULL);


/*-- SEQ 0203 --*/
-- Tarefa 95155 --
ALTER TABLE TI_LOT ADD CONSTRAINT CK_ILOT_FLGPON CHECK (FLGPON IN ('T','F'));

/*-- SEQ 0204 --*/
-- Tarefa 95155 --
CREATE INDEX I_LC_ILOT_CODEXT ON TI_LOT (CODEXT, STATUS ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0205 --*/
-- Tarefa 95155 --
CREATE INDEX I_LC_ILOT_STATUS ON TI_LOT (STATUS, DATCRI ) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0206 --*/
-- Tarefa 95175 --
ALTER TABLE TI_ICO ADD LOT_CODEXT VARCHAR2(20) ;


/*-- SEQ 0207 --*/
-- Tarefa 95175 --
ALTER TABLE TI_IVE ADD LOT_CODEXT VARCHAR2(20) ;


/*-- SEQ 0208 --*/
-- Tarefa 95175 --
ALTER TABLE TI_LAN ADD LOT_CODEXT VARCHAR2(20) ;



/*-- SEQ 0209 --*/
-- Tarefa 95239 --
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_TIPNAT;

/*-- SEQ 0210 --*/
-- Tarefa 95239 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_TIPNAT CHECK (TIPNAT IN ('E','S','V','D','F','A','C','M','N','P','R','J','B','O'));	


/*-- SEQ 0211 --*/
-- Tarefa 93756 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD GX_CFGMIDDLEWARE_HOST VARCHAR2(40) ;


/*-- SEQ 0212 --*/
-- Tarefa 93756 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD GX_CFGMIDDLEWARE_PORT Number(10) ;





/*-- SEQ 0213 --*/
-- Tarefa 95198 --
ALTER TABLE TT_LOT ADD PERABA Number(5,2) ;

 
/*-- SEQ 0214 --*/
-- Tarefa 95198 --
ALTER TABLE TT_LOT ADD CONSTRAINT CK_LOT_PERABA CHECK (PERABA >= 0);


/*-- SEQ 0215 --*/
-- Tarefa 95262 --
ALTER TABLE TT_IOR ADD VLRABA Number(12,2) ;



/*-- SEQ 0216 --*/
-- Tarefa 95263 --
ALTER TABLE TT_IVE ADD VLRABA Number(12,2) ;



/*-- SEQ 0217 --*/
-- Tarefa 95232 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0218 --*/
ALTER TABLE TT_CFG ADD SEMESTLOTE Number(1) DEFAULT 1;

/*-- SEQ 0219 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;
 
/*-- SEQ 0220 --*/
-- Tarefa 95232 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_SEMESTLOTE CHECK (SEMESTLOTE IN (1, 2, 3));
 
/*-- SEQ 0221 --*/
-- Tarefa 95232 --
ALTER TABLE TT_CFG MODIFY (SEMESTLOTE CONSTRAINT NN_CFG_SEMESTLOTE NOT NULL);

 
/*-- SEQ 0222 --*/
-- Tarefa 95232 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0223 --*/
ALTER TABLE TW_CFG ADD SEMESTLOTE Number(1) DEFAULT 1;

/*-- SEQ 0224 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0225 --*/
-- Tarefa 95232 --
ALTER TABLE TT_CFG ADD TAMCODLOTE Number(2) ;

 
/*-- SEQ 0226 --*/
-- Tarefa 95232 --
ALTER TABLE TW_CFG ADD TAMCODLOTE Number(2) ;



/*-- SEQ 0227 --*/
-- Tarefa 95206 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0228 --*/
-- Tarefa 95206 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,390)||SUBSTR(PERMIS,169,1)||SUBSTR(PERMIS,392,9999);

/*-- SEQ 0229 --*/
-- Tarefa 95206 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;

/*-- SEQ 0230 --*/
-- Tarefa 95206 --
ALTER TABLE TT_PAP DISABLE ALL TRIGGERS;


/*-- SEQ 0231 --*/
-- Tarefa 95206 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,390)||SUBSTR(PERMIS,169,1)||SUBSTR(PERMIS,392,9999);

/*-- SEQ 0232 --*/
-- Tarefa 95206 --
ALTER TABLE TT_PAP ENABLE ALL TRIGGERS;



/*-- SEQ 0233 --*/
-- Tarefa 95229 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;

/*-- SEQ 0234 --*/
ALTER TABLE TT_PRO ADD LOTONL VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0235 --*/
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;
 
/*-- SEQ 0236 --*/
-- Tarefa 95229 --
ALTER TABLE TT_PRO MODIFY (LOTONL CONSTRAINT NN_PRO_LOTONL NOT NULL);

 
/*-- SEQ 0237 --*/
-- Tarefa 95229 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_LOTONL CHECK (LOTONL IN ('T','F'));


/*-- SEQ 0238 --*/
-- Tarefa 95159 --
ALTER TABLE TI_LOT ADD PERABA Number(5,2) ;

 


/*-- SEQ 0239 --*/
-- Tarefa 95156 --
ALTER TABLE TI_SLT MODIFY (QTDEST CONSTRAINT NN_ISLT_QTDEST NOT NULL);



/*-- SEQ 0240 --*/
-- Tarefa 95159 --
ALTER TABLE TI_SLT DROP COLUMN RESERV CASCADE CONSTRAINT;


                             


/*-- SEQ 0241 --*/
-- Tarefa 95127 --
ALTER TABLE TT_TRN ADD CONSTRAINT FK_TRN_DFIL_CODFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0242 --*/
-- Tarefa 95127 --
CREATE INDEX I_FK_TRN_DFIL ON TT_TRN (CODFIL) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0243 --*/
-- Tarefa 95107 --
CREATE INDEX I_FK_VEN_VEN_ORI ON TT_VEN (FILORI,SEQORI) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0244 --*/
-- Tarefa  91227 --
CREATE INDEX I_FK_CFG_DCAI_SANGRIAFECHA ON TT_CFG (CFG_SANGRIAFECHAMENTO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0245 --*/
-- Tarefa 91227 --
CREATE INDEX I_FK_CFG_DCAI_REFORCOABER ON TT_CFG (CFG_REFORCOABERTURA) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0246 --*/
-- Tarefa 95316--
ALTER TABLE TR_MOV MODIFY (VENFIS Number(14, 4));


/*-- SEQ 0247 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95407 --
ALTER TABLE TW_COM_FIS MODIFY (NUMNOT VARCHAR2(9));


/*-- SEQ 0248 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95464 --
ALTER TABLE TT_LOT MODIFY (CODEXT VARCHAR2(40));

/*-- SEQ 0249 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95464 --
ALTER TABLE TI_LOT MODIFY (CODEXT VARCHAR2(40));

/*-- SEQ 0250 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95464 --
ALTER TABLE TI_SLT MODIFY (CODEXT VARCHAR2(40));


/*-- SEQ 0251 --*/
-- Tarefa 95294 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;

                      
/*-- SEQ 0252 --*/
-- Tarefa 95294 --
DELETE FROM TT_JOB
 WHERE NOMJOB = 'JOB_GERACOMISSAODIARIA';
 
/*-- SEQ 0253 --*/
-- Tarefa 95294 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;                      


/*-- SEQ 0254 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95433 --
select * from NADA;


/*-- SEQ 0255 --*/
-- Tarefa 95501 --
ALTER TABLE TI_PRO DISABLE ALL TRIGGERS;

/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD USALOT VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0257 --*/
ALTER TABLE TI_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0258 --*/
/*--IGNORE ERRO--*/
-- Tarefa 95501 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_USALOT CHECK (USALOT IN ('T','F'));

/*-- SEQ 0259 --*/
/*--IGNORE ERRO--*/
-- Tarefa 95501 --
ALTER TABLE TI_PRO MODIFY (USALOT CONSTRAINT NN_IPRO_USALOT NOT NULL);


/*-- SEQ 0260 --*/
-- Tarefa 95501 --
ALTER TABLE TI_PRO DISABLE ALL TRIGGERS;

/*-- SEQ 0261 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD LOTONL VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0262 --*/
ALTER TABLE TI_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0263 --*/
/*--IGNORE ERRO--*/
-- Tarefa 95501 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_LOTONL CHECK (LOTONL IN ('T','F'));

/*-- SEQ 0264 --*/
/*--IGNORE ERRO--*/
-- Tarefa 95501 --
ALTER TABLE TI_PRO MODIFY (LOTONL CONSTRAINT NN_IPRO_LOTONL NOT NULL);



/*-- SEQ 0265 --*/
-- Tarefa 95433 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0266 --*/
-- Tarefa 95433 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,392)||'S'||SUBSTR(PERMIS,394,9999);

/*-- SEQ 0267 --*/
-- Tarefa 95433 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;


-- Tarefa 94625 --
/*-- SEQ 0268 --*/
CREATE OR REPLACE FUNCTION TmpUpdProAux 
RETURN VARCHAR2 IS
    cFilMat TT_PRE.FILMAT%TYPE;         --  PK base: char(3)
    cCodMat TT_PRE.CODMAT%TYPE;         --  PK base: char(5)
    iCodCor TT_GRA.CODCOR%TYPE;         --  PK TT_GRA: Number(5)
    iCodTam TT_GRA.CODTAM%TYPE;         --  PK TT_GRA: Number(5)
begin
    --  buscando o código do produto auxiliar no TT_CFG
    select CFG.FILMAT_AUX,
           CFG.CODMAT_AUX,
           CFG.CODCOR_AUX,
           CFG.CODTAM_AUX
      into cFilMat,
           cCodMat,
           iCodCor,
           iCodTam
      from TT_CFG CFG
           
     where ROWNUM = 1
                          ;
    --  atualizando o CODNCM em TT_PRO
    update TT_PRO
       set CODNCM = '00'
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and CODNCM is null;
    --  atualizando o CODNCM em TT_GRA
    update TT_GRA
       set CODNCM = '00'
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and CODCOR = iCodCor
       and CODTAM = iCodTam
       and CODNCM is null;
    --  retorno da função
    return 'OK';
END TmpUpdProAux;
/

/*-- SEQ 0269 --*/
-- Tarefa 94625 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;


/*-- SEQ 0270 --*/
-- Tarefa 94625 --
ALTER TABLE TT_GRA DISABLE ALL TRIGGERS;


/*-- SEQ 0271 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
declare
  cDummy VARCHAR2(100);
begin
  cDummy := TmpUpdProAux();
end;
/


/*-- SEQ 0272 --*/
-- Tarefa 94625 --
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0273 --*/
-- Tarefa 94625 --
ALTER TABLE TT_GRA ENABLE ALL TRIGGERS;

/*-- SEQ 0274 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94625 --
DROP FUNCTION TmpUpdProAux;


/*-- SEQ 0275 --*/
-- Tarefa 92964 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;


/*-- SEQ 0276 --*/
-- Tarefa 92964 --
INSERT INTO TT_JOB (NOMJOB,DESJOB,ULTEXE,QTDERR,ULTERR)
SELECT 'JOB_CLASSIFICAABCXYZ','Rotina para classificar produtos por ABC e XYZ',Agora(),0,NULL
  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_JOB
                    WHERE NOMJOB = 'JOB_CLASSIFICAABCXYZ');
/*-- SEQ 0277 --*/
-- Tarefa 92964 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;                


/*-- SEQ 0278 --*/
-- Tarefa 93917 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;


/*-- SEQ 0279 --*/
-- Tarefa 93917 --
INSERT INTO TT_JOB (NOMJOB,DESJOB,ULTEXE,QTDERR,ULTERR)
SELECT 'JOB_CALCULATRACKINGSIGNAL','Rotina para calcular Tracking Signal dos produtos',Agora(),0,NULL
  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_JOB
                    WHERE NOMJOB = 'JOB_CALCULATRACKINGSIGNAL');

/*-- SEQ 0280 --*/
-- Tarefa 93917 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;



/*-- SEQ 0281 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP TRIGGER TGFER;

/*-- SEQ 0282 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP TRIGGER TGFER2;


/*-- SEQ 0283 --*/
-- Tarefa 95660 --
ALTER TABLE TD_SAD DISABLE ALL TRIGGERS;

/*-- SEQ 0284 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_SAD ADD FLGPES CHAR(1) DEFAULT 'A';

/*-- SEQ 0285 --*/
ALTER TABLE TD_SAD ENABLE ALL TRIGGERS;

/*-- SEQ 0286 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95660 --
ALTER TABLE TD_SAD MODIFY (FLGPES CONSTRAINT NN_DSAD_FLGPES NOT NULL);


/*-- SEQ 0287 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95660 --
ALTER TABLE TD_SAD ADD CONSTRAINT CK_DSAD_FLGPES CHECK (FLGPES IN ('A','F','J'));

/*-- SEQ 0288 --*/
-- Tarefa 95660 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAD ADD CODSEG VARCHAR2(25) ;



/*-- SEQ 0289 --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV DISABLE ALL TRIGGERS;

/*-- SEQ 0290 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAV ADD EXPORT VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0291 --*/
ALTER TABLE TT_SAV ENABLE ALL TRIGGERS;

/*-- SEQ 0292 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV MODIFY (EXPORT CONSTRAINT NN_SAV_EXPORT NOT NULL);


/*-- SEQ 0293 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_EXPORT CHECK (EXPORT IN ('T','F'));

/*-- SEQ 0294 --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV DISABLE ALL TRIGGERS;

/*-- SEQ 0295 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAV ADD EXPCAN VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0296 --*/
ALTER TABLE TT_SAV ENABLE ALL TRIGGERS;

/*-- SEQ 0297 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV MODIFY (EXPCAN CONSTRAINT NN_SAV_EXPCAN NOT NULL);


/*-- SEQ 0298 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_EXPCAN CHECK (EXPORT IN ('T','F'));

/*-- SEQ 0299 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
CREATE INDEX I_LC_SAV_EXPORT ON TT_SAV (EXPORT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0300 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
CREATE INDEX I_LC_SAV_EXPCAN ON TT_SAV (EXPCAN) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0301 --*/
-- Tarefa 94451 --
ALTER TABLE TT_RDV DROP CONSTRAINT CK_RDV_TIPRDV;

/*-- SEQ 0302 --*/
-- Tarefa 94451 --
ALTER TABLE TT_RDV ADD CONSTRAINT CK_RDV_TIPRDV CHECK (TIPRDV IN ('A', 'B', 'C', 'D', 'E', 'H', 'M', 'O', 'S', 'U', 'V', '1', '2', '3', '4', '5', '9', 'X'));

/*-- SEQ 0303 --*/
-- Tarefa 94451 --
ALTER TABLE TT_ILI MODIFY (CODEXT VARCHAR2(40));

/*-- SEQ 0304 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94451 --
ALTER TABLE TT_LIS MODIFY (DATVAL CONSTRAINT NN_LIS_DATVAL NOT NULL);


/*-- SEQ 0305 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94451 --
ALTER TABLE TT_LIS MODIFY (FLGEST CONSTRAINT NN_LIS_FLGEST NOT NULL);


/*-- SEQ 0306 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94451 --
ALTER TABLE TT_ILI MODIFY (SITMOV CONSTRAINT NN_LIS_SITMOV NOT NULL);



/*-- SEQ 0307 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94465 --
ALTER TABLE TT_SLI MODIFY (DESLPR CONSTRAINT NN_SLI_DESLPR NOT NULL);


/*-- SEQ 0308 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94465 --
ALTER TABLE TT_SLI MODIFY (SIGNAT CONSTRAINT NN_SLI_SIGNAT NOT NULL);



/*-- SEQ 0309 --*/
-- Tarefa 95771 --
ALTER TABLE TT_SAV DROP CONSTRAINT CK_SAV_EXPCAN;

/*-- SEQ 0310 --*/
-- Tarefa 95771 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_EXPCAN CHECK (EXPCAN IN ('T','F'));


/*-- SEQ 0311 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DBIC_LAC ON TD_BIC (FILLAC,SEQLAC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0312 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DCOB_DCOB ON TD_COB (COBPAD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0313 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DCTR_CTA_PRAZO ON TD_CTR (FILPRA,SEQPRA,TIPPRA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0314 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFCC_GRA ON TD_FCC (FCC_FILMAT,FCC_CODMAT,FCC_CODCOR,FCC_CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0315 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFCC_DFIL ON TD_FCC (FCCFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0316 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_CTA ON TD_FIL (TESFIL,TESSEQ,TESTIP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0317 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_DCTR ON TD_FIL (CTR_CC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0318 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_DEND ON TD_FIL (TIPEND) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0319 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_DSER ON TD_FIL (SERPAD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0320 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_CTA_OUT ON TD_FIL (FILOUT,SEQOUT,TIPOUT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0321 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_JUR_CTA ON TD_FIL (FILJUR,SEQJUR,TIPJUR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0322 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_LAN_CTA ON TD_FIL (FILLAN,SEQLAN,TIPLAN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0323 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_TAR_CTA ON TD_FIL (FILTAR,SEQTAR,TIPTAR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0324 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DLAN_DNAT ON TD_LAN (LANNAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0325 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DMOD_TST ON TD_MOD (FILTST,CODTST) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0326 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DMOD_USU ON TD_MOD (FILINT,CODINT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0327 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DMOD_WOR ON TD_MOD (FILWOR,CODWOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0328 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DNAT_NATFUF ON TD_NAT (NATFUF) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0329 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DNAT_NATRED ON TD_NAT (NATRED) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0330 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DNAT_NATREF ON TD_NAT (NATREF) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0331 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DREL_PRIMIN ON TD_REL (PRIMIN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0332 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DSAD_CODRTT ON TD_SAD (CODRTT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0333 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_LECF_USU ON TL_ECF (FILUSU,CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0334 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_RMOV_ICO ON TR_MOV (FILICO,SEQICO,NUMICO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0335 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_ABM_USU ON TT_ABM (FILUSU,CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0336 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_ACR_VEN ON TT_ACR (FILVEN,SEQVEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0337 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_ASS_UID ON TT_ASS (CODUID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0338 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CBP_END ON TT_CBP (FILCLI,CODCLI,FILEND,NUMEND) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0339 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI ON TT_CFG (VC_FILCLI,VC_CODCLI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0340 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCC ON TT_CFG (TIPCCC_RAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0341 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_FIN ON TT_CFG (FILCTA_TRN,SEQCTA_TRN,TIPCTA_TRN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0342 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PGT ON TT_CFG (VC_FILPGT,VC_CODPGT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0343 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_TPR ON TT_CFG (FILPRE,CODPRE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0344 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_USU ON TT_CFG (ULTSAC_FILUSU,ULTSAC_CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0345 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DAMP ON TT_CFG (PAPHOAMPLIA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0346 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCCC ON TT_CFG (TIPCCC_PMI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0347 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCFO ON TT_CFG (TRANSFER_CODCFO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0348 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCON ON TT_CFG (CONTATO_FINANCEIRO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0349 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCWS ON TT_CFG (SAC_TIPSUP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0350 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DDOP ON TT_CFG (DOPCCC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0351 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DECB ON TT_CFG (COD_ECB_TIT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0352 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DEXP ON TT_CFG (CODEXP_COLETOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0353 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DFUN ON TT_CFG (SAC_CODFUN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0354 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DLAN ON TT_CFG (PAPHOTIPLAN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0355 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DNAT ON TT_CFG (NAT_FAT_CC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0356 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DOUT ON TT_CFG (MEIO_TAXASERVICO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0357 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DPRI ON TT_CFG (SAC_CODPRI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0358 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DSER ON TT_CFG (VC_SERIE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0359 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DSIT ON TT_CFG (SAC_FLGSIT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0360 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DSTD ON TT_CFG (CHEQUE,CHESTD,USOSTD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0361 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DVEI ON TT_CFG (VEI_ORC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0362 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_SERIE ON TT_CFG (SERIE_FAT_CC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0363 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CL4WEB ON TT_CFG (CL4WEB) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0364 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CREDIT ON TT_CFG (CC_CREDFORNECEDOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0365 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCOR_1 ON TT_CFG (COB_MOD_CODCOR1) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0366 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCOR_2 ON TT_CFG (COB_MOD_CODCOR2) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0367 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_OBSERV ON TT_CFG (PAPHOOBSPADRAO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0368 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DOUT_MA ON TT_CFG (MEIO_ABATIMENTO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0369 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PRJ_PXD ON TT_CFG (FILPRJ_PXD,SEQPRJ_PXD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0370 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PRO_SRV ON TT_CFG (FILSRV,CODSRV,TIPSRV) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0371 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_TPR_ATC ON TT_CFG (FILPRE_ATC,CODPRE_ATC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0372 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_TPR_PRE ON TT_CFG (PDA_FILPRE,PDA_CODPRE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0373 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_TPR_REV ON TT_CFG (FILPRE_REV,CODPRE_REV) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0374 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DSER_TAM ON TT_CFG (TAMANHO_OBSERVACAO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0375 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_REIMP_CF ON TT_CFG (CODNAT_REIMP_CF) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0376 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_WORKFLOW ON TT_CFG (CC_WORKFLOW) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0377 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_DIMED ON TT_CFG (FIL_DIMED,COD_DIMED) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0378 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DEVOLUCAO ON TT_CFG (CC_DEVOLUCAO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0379 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PAP_TODOS ON TT_CFG (FIL_PAPEL_TODOS,SEQ_PAPEL_TODOS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0380 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_DIMPER ON TT_CFG (FIL_DIMPER,COD_DIMPER) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0381 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_NAT_CREICM ON TT_CFG (NAT_CREICM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0382 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PRO_AMPLIA ON TT_CFG (PAPHOFILAMPLIA,PAPHOCODAMPLIA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0383 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PRO_REVAMP ON TT_CFG (PAPHOFILREVAMP,PAPHOCODREVAMP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0384 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PRO_REVELA ON TT_CFG (PAPHOFILREVELA,PAPHOCODREVELA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0385 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_GENESIO ON TT_CFG (FIL_GENESIO,COD_GENESIO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0386 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCOB_PORTKE ON TT_CFG (PORTKE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0387 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DFIL_FILCMP ON TT_CFG (FILCMP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0388 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DNAT_NATFAT ON TT_CFG (NATFAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0389 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DNAT_NATVEN ON TT_CFG (NATVEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0390 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_ALTDAT ON TT_CFG (INT_ALT_DAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0391 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_ALTVLR ON TT_CFG (INT_ALT_VLR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0392 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_CANTIT ON TT_CFG (INT_CAN_TIT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0393 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_INCTIT ON TT_CFG (INT_INC_TIT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0394 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_PAGCAR ON TT_CFG (INT_PAG_CAR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0395 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_USU_GERENTE ON TT_CFG (COB_FIL_GERENTE,COB_COD_GERENTE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0396 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_ESPECIAL ON TT_CFG (FIL_ESPECIAL,COD_ESPECIAL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0397 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_PROFARMA ON TT_CFG (FIL_PROFARMA,COD_PROFARMA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0398 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_PANARELLO ON TT_CFG (FIL_PANARELLO,COD_PANARELLO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0399 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_SANTACRUZ ON TT_CFG (FIL_SANTACRUZ,COD_SANTACRUZ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0400 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DIV_AMPLIACAO ON TT_CFG (PADIVAMPLIACAO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0401 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DNAT_TRANSFER ON TT_CFG (TRANSFER_NAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0402 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DSER_TRANSFER ON TT_CFG (TRANSFER_SER) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0403 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCCC_CARTAFRETE ON TT_CFG (CC_CARTAFRETE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0404 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_INT_CAN_DES ON TT_CFG (INT_CAN_DES) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0405 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_INT_CON_DES ON TT_CFG (INT_CON_DES) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0406 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_INT_PRT_TIT ON TT_CFG (INT_PRT_TIT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0407 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_INT_S_B_PRT ON TT_CFG (INT_S_B_PRT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0408 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_INT_S_C_PRT ON TT_CFG (INT_S_C_PRT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0409 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PAESTOQUEVENDA_MUL ON TT_CFG (PAESTOQUEVENDA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0410 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DNAT_NATADJUDICACAOICMS ON TT_CFG (NATADJUDICACAOICMS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0411 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DNAT_NATRESSARCIMENTOST ON TT_CFG (NATRESSARCIMENTOST) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0412 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CLI_GUI ON TT_CLI (FILGUI,CODGUI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0413 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CLI_DCUS ON TT_CLI (CENCUS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0414 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CLI_DPAI ON TT_CLI (CODPAI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0415 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CLI_DCUS_CODCUS ON TT_CLI (CODCUS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0416 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_COM_DFPS_CODFPS ON TT_COM (CODFPS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0417 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CPM_LOT ON TT_CPM (FILLOT,SEQLOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0418 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DIS_END ON TT_DIS (FILFOR,CODFOR,FILEND,NUMEND) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0419 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DIS_USU ON TT_DIS (FILUSU,CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0420 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DOP_CLI ON TT_DOP (FILCLI,CODCLI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0421 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DOP_DCOB ON TT_DOP (PORORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0422 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_FIN_DMOE ON TT_FIN (CODMOE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0423 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_FLW_SITORI ON TT_FLW (SITORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0424 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IDF_MUN ON TT_IDF (CODCID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0425 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IDF_LOJA ON TT_IDF (CODLOJ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0426 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IDI_GRA ON TT_IDI (FILMAT,CODMAT,CODCOR,CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0427 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IDI_IPE ON TT_IDI (FILPED,NUMPED,ITEPED) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0428 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IDI_USU ON TT_IDI (FILUSU,CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0429 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IDI_FILORI ON TT_IDI (FILORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0430 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IOR_DECF_ECFVEN ON TT_IOR (CODFIL,ECFVEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0431 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_USU_ORI ON TT_LAN (FILORI,CODORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0432 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_ORC_GUI ON TT_ORC (FILGUI,CODGUI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0433 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_ORC_DNAT ON TT_ORC (CODNAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0434 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_PIV_DCL3 ON TT_PIV (CODCL3) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0435 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_PIV_DCL4 ON TT_PIV (CODCL4) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0436 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_PRO_REL ON TT_PRO (FILMAR,CODMAR,TIPMAR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0437 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAD_GRA ON TT_SAD (FILMAT,CODMAT,CODCOR,CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0438 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAD_DSAD ON TT_SAD (CODSAD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0439 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAV_CLI ON TT_SAV (FILCLI,CODCLI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0440 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAV_ORC ON TT_SAV (FILPED,TIPPED,NUMPED) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0441 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAV_RTT ON TT_SAV (FILRTT,SEQRTT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0442 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAV_VEN ON TT_SAV (FILVEN,SEQVEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0443 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAV_DSAD ON TT_SAV (CODSAD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0444 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_DCOR_1 ON TW_CFG (COB_MOD_CODCOR1) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0445 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_DCOR_2 ON TW_CFG (COB_MOD_CODCOR2) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0446 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_DOUT_MA ON TW_CFG (MEIO_ABATIMENTO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0447 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_PRO_SRV ON TW_CFG (FILSRV,CODSRV,TIPSRV) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0448 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_TPR_PRE ON TW_CFG (PDA_FILPRE,PDA_CODPRE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0449 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_DSER_TAM ON TW_CFG (TAMANHO_OBSERVACAO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0450 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_PAESTOQUEVENDA_MUL ON TW_CFG (PAESTOQUEVENDA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0451 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DESXCLI_PLA ON TT_DESXCLI (FILPGT,CODPGT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0452 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DESXCLI_DCL2 ON TT_DESXCLI (CLASS2) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0453 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DESXCLI_DCL3 ON TT_DESXCLI (CLASS3) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0454 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DESXCLI_DCL4 ON TT_DESXCLI (CLASS4) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0455 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DESXCLI_DFIL ON TT_DESXCLI (FILVEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0456 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IVEXIPE_LOT ON TT_IVEXIPE (FILLOT,SEQLOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0457 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_PLAXCAR_PLA ON TT_PLAXCAR (FILPGT,CODPGT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0458 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IAG_AGE ON TT_IAG (CODFIL,SEQUEN) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0459 --*/
-- Tarefa 00000 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0460 --*/
-- Tarefa 00000 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOCALI', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOCALI'));

/*-- SEQ 0461 --*/
-- Tarefa 00000 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;

