
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020073896 --
CREATE TABLE TI_KIT (
   ID_IKIT Number(10),
   DATCRI  Date,
   DATIMP  Date,
   MOTREJ  VARCHAR2(255),
   STATUS  Number(1),
   TIPOPE  VARCHAR2(1),
   CODPRO  VARCHAR2(20),
   CODITE  VARCHAR2(20),
   QTDITE  Number(12,4),
   BRINDE  VARCHAR2(1),
   FLGIMP  VARCHAR2(1)
   ) TABLESPACE TOTALL_DATA;
   
/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020073896 --
ALTER TABLE TI_KIT ADD CONSTRAINT PK_IKIT PRIMARY KEY (ID_IKIT);

/*-- SEQ 0004 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020073896 --
CREATE SEQUENCE SQIKIT INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020073896 --
CREATE INDEX I_LC_IKIT_STATUS ON TI_KIT (STATUS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0006 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020073896 --
ALTER TABLE TI_KIT MODIFY (DATCRI CONSTRAINT NN_IKIT_DATCRI NOT NULL);


/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020073896 --
ALTER TABLE TI_KIT MODIFY (STATUS CONSTRAINT NN_IKIT_STATUS NOT NULL);


/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020073896 --
ALTER TABLE TI_KIT ADD CONSTRAINT CK_IKIT_DATIMP CHECK (((DATIMP IS NOT NULL) AND (STATUS <> 0)) OR ((DATIMP IS NULL) AND (STATUS = 0)));

/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020073896 --
ALTER TABLE TI_KIT MODIFY (TIPOPE DEFAULT 'T');

/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020073896 --
ALTER TABLE TI_KIT MODIFY (STATUS DEFAULT 0);

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020073896 --
ALTER TABLE TI_KIT ADD CONSTRAINT CK_IKIT_STATUS CHECK (STATUS IN (0, 1, 2, 3, 4));

/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020073896 --
ALTER TABLE TI_KIT ADD CONSTRAINT CK_IKIT_BRINDE CHECK (BRINDE IN ('T','F'));

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020073896 --
ALTER TABLE TI_KIT ADD CONSTRAINT CK_IKIT_FLGIMP CHECK (FLGIMP IN ('T','F'));


/*-- SEQ 0014 --*/
-- Ticket 2020107356 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0015 --*/
-- Ticket 2020107356 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PED_FILIAL_COTACAO', 'Gerar Pedido por Filial na Aprovao da Cotao?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PED_FILIAL_COTACAO'));

/*-- SEQ 0016 --*/
-- Ticket 2020107356 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0017 --*/
-- Ticket 2020107356 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0018 --*/
-- Ticket 2020107356 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PED_FILIAL_COTACAO'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0019 --*/
-- Ticket 2020107356 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0020 --*/
-- Ticket 2020057088 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0021 --*/
-- Ticket 2020057088 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DIVIDACOR', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DIVIDACOR'));

/*-- SEQ 0022 --*/
-- Ticket 2020057088 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0023 --*/
-- Ticket 2020113404 --
ALTER TABLE TT_TEF MODIFY (NSUTRN VARCHAR2(20));


/*-- SEQ 0024 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (ESTCIV Number(5,0));

/*-- SEQ 0025 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (FLGTIP Number(5,0));

/*-- SEQ 0026 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (CODSEX Number(5,0));

/*-- SEQ 0027 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (SEXCON Number(5,0));

/*-- SEQ 0028 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (E_MCON VARCHAR2(254));

/*-- SEQ 0029 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (ALUFIN Number(12,2));

/*-- SEQ 0030 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (FIRCON VARCHAR2(50));

/*-- SEQ 0031 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (ENDCO1 VARCHAR2(50));

/*-- SEQ 0032 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (CANMES Number(5,0));


/*-- SEQ 0033 --*/
-- Ticket 2020093995 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0034 --*/
-- Ticket 2020093995 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'KITNFTRANS', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'KITNFTRANS'));

/*-- SEQ 0035 --*/
-- Ticket 2020093995 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020097542 --
ALTER TABLE TI_CLI ADD END_CODEXT VARCHAR2(20) ;



/*-- SEQ 0037 --*/
-- Ticket 2020113404 --
ALTER TABLE TT_TEF MODIFY (NUMAUT VARCHAR2(100));


/*-- SEQ 0038 --*/
-- Ticket 2020062951 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0039 --*/
-- Ticket 2020062951 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'ESCONDE_SELECIONA', 'Esconder boto "Seleciona" na tela de separao do Commerce Web?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ESCONDE_SELECIONA'));

/*-- SEQ 0040 --*/
-- Ticket 2020062951 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0041 --*/
-- Ticket 2020062951 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0042 --*/
-- Ticket 2020062951 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'ESCONDE_SELECIONA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0043 --*/
-- Ticket 2020062951 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020070949 --
ALTER TABLE TT_ORC ADD TIPPAG VARCHAR2(1) ;


/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020070949 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_TIPPAG CHECK (TIPPAG IS NULL OR (TIPPAG IN ('B', 'C', 'P')));

/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020070949 --
ALTER TABLE TT_ORC ADD CODCCC Number(5) ;


/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020070949 --
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_DCCC FOREIGN KEY (CODCCC) REFERENCES TD_CCC (CODTAB);

/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020070949 --
CREATE INDEX I_FK_ORC_DCCC ON TT_ORC (CODCCC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020070949 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_CODCCC CHECK (CODCCC IS NULL OR (TELEVE = 'T' AND TIPPAG = 'C' AND CODCCC IS NOT NULL));


/*-- SEQ 0050 --*/
-- Ticket 2020055007 --
CREATE TABLE TT_CPR (
   CODFIL CHAR(3),
   SEQUEN CHAR(10),
   DESCRI VARCHAR2(254),
   DATINC Date, 
   ATU_EM Date,
   CPRATI VARCHAR2(1),
   DATINI Date,
   DATFIM Date,
   TIPAPL CHAR(1),
   CANAPL CHAR(1),
   FILAPL CHAR(3),
   FILPRE CHAR(3),
   CODPRE Number(5),
   USOOUT VARCHAR2(1),
   VLRMIN Number(12,4),
   VENCUS VARCHAR2(1)
  ) TABLESPACE TOTALL_DATA; 

/*-- SEQ 0051 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPR ADD CONSTRAINT PK_CPR PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020055007 --
DROP SEQUENCE SQCPR; 

/*-- SEQ 0053 --*/
-- Ticket 2020055007 --
CREATE SEQUENCE SQCPR INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0054 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPR ADD CONSTRAINT FK_CPR_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0055 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_CPR_DFIL ON TT_CPR (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0056 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPR ADD CONSTRAINT FK_CPR_DFIL_FILAPL FOREIGN KEY (FILAPL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0057 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_CPR_DFIL_FILAPL ON TT_CPR (FILAPL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0058 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPR ADD CONSTRAINT FK_CPR_TPR FOREIGN KEY (FILPRE, CODPRE) REFERENCES TT_TPR (CODFIL, CODPRE);

/*-- SEQ 0059 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_CPR_TPR ON TT_CPR (FILPRE, CODPRE) TABLESPACE TOTALL_INDEX;
 
/*-- SEQ 0060 --*/
-- Ticket 2020055007 --
CREATE INDEX I_LC_CPR_DESCRI ON TT_CPR (DESCRI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0061 --*/
-- Ticket 2020055007 --
CREATE INDEX I_LC_CPR_CPRATI ON TT_CPR (CPRATI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0062 --*/
-- Ticket 2020055007 --
CREATE INDEX I_LC_CPR_VALIDA ON TT_CPR (DATINI, DATFIM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0063 --*/
-- Ticket 2020055007 --
CREATE INDEX I_LC_CPR_APLICA ON TT_CPR (TIPAPL, CANAPL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0064 --*/
-- Ticket 2020055007 --
CREATE INDEX I_LC_CPR_VLRMIN ON TT_CPR (VLRMIN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0065 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPR MODIFY (DESCRI CONSTRAINT NN_CPR_DESCRI NOT NULL);


/*-- SEQ 0066 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPR MODIFY (DATINC CONSTRAINT NN_CPR_DATINC NOT NULL);


/*-- SEQ 0067 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPR MODIFY (ATU_EM CONSTRAINT NN_CPR_ATU_EM NOT NULL);


/*-- SEQ 0068 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPR MODIFY (CPRATI CONSTRAINT NN_CPR_CPRATI NOT NULL);


/*-- SEQ 0069 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPR MODIFY (TIPAPL CONSTRAINT NN_CPR_TIPAPL NOT NULL);


/*-- SEQ 0070 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPR MODIFY (USOOUT CONSTRAINT NN_CPR_USOOUT NOT NULL);


/*-- SEQ 0071 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPR MODIFY (CANAPL CONSTRAINT NN_CPR_CANAPL NOT NULL);


/*-- SEQ 0072 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPR ADD CONSTRAINT CK_CPR_CPRATI CHECK (CPRATI IN ('T','F'));

/*-- SEQ 0073 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPR ADD CONSTRAINT CK_CPR_TIPAPL CHECK (TIPAPL IN ('L','P'));

/*-- SEQ 0074 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPR ADD CONSTRAINT CK_CPR_USOOUT CHECK (USOOUT IN ('T','F'));

/*-- SEQ 0075 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPR ADD CONSTRAINT CK_CPR_VENCUS CHECK (VENCUS IN ('T','F'));

/*-- SEQ 0076 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPR ADD CONSTRAINT CK_CPR_CANAPL CHECK (CANAPL IN ('L','O','T'));

/*-- SEQ 0077 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPR ADD CONSTRAINT CK_CPR_VLRMIN CHECK ((VLRMIN > 0) OR (VLRMIN IS NULL));
 
/*-- SEQ 0078 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPR MODIFY (CPRATI DEFAULT 'F');

/*-- SEQ 0079 --*/
-- Ticket 2020055007 --
CREATE TABLE TT_CPRXGAT (
   FILCPR CHAR(3),
   SEQCPR CHAR(10),
   SEQUEN CHAR(10),
   DATINC Date,
   ATU_EM Date,
   TIPGAT CHAR(1),
   FILCPRFUT CHAR(3),
   SEQCPRFUT CHAR(10),
   TIPOBG CHAR(1),
   GATATI CHAR(1)
  ) TABLESPACE TOTALL_DATA; 

/*-- SEQ 0080 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPRXGAT ADD CONSTRAINT PK_CPRXGAT PRIMARY KEY (FILCPR, SEQCPR, SEQUEN);

/*-- SEQ 0081 --*/
-- Ticket 2020055007 --
CREATE SEQUENCE SQCPRXGAT INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0082 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPRXGAT ADD CONSTRAINT FK_CPRXGAT_CPR FOREIGN KEY (FILCPR, SEQCPR) REFERENCES TT_CPR (CODFIL, SEQUEN);

/*-- SEQ 0083 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_CPRXGAT_CPR ON TT_CPRXGAT (FILCPR, SEQCPR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0084 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPRXGAT ADD CONSTRAINT FK_CPRXGAT_CPR_FUT FOREIGN KEY (FILCPRFUT, SEQCPRFUT) REFERENCES TT_CPR (CODFIL, SEQUEN);

/*-- SEQ 0085 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_CPRXGAT_CPR_FUT ON TT_CPRXGAT (FILCPRFUT, SEQCPRFUT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0086 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPRXGAT MODIFY (DATINC CONSTRAINT NN_CPRXGAT_DATINC NOT NULL);


/*-- SEQ 0087 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPRXGAT MODIFY (ATU_EM CONSTRAINT NN_CPRXGAT_ATU_EM NOT NULL);


/*-- SEQ 0088 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPRXGAT MODIFY (TIPGAT CONSTRAINT NN_CPRXGAT_TIPGAT NOT NULL);


/*-- SEQ 0089 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPRXGAT MODIFY (GATATI CONSTRAINT NN_CPRXGAT_GATATI NOT NULL);


/*-- SEQ 0090 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPRXGAT MODIFY (TIPOBG CONSTRAINT NN_CPRXGAT_TIPOBG NOT NULL);


/*-- SEQ 0091 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPRXGAT ADD CONSTRAINT CK_CPRXGAT_TIPGAT CHECK (TIPGAT IN ('O','F'));

/*-- SEQ 0092 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPRXGAT ADD CONSTRAINT CK_CPRXGAT_TIPOBG CHECK (TIPOBG IN ('U','T'));

/*-- SEQ 0093 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPRXGAT ADD CONSTRAINT CK_CPRXGAT_GATATI CHECK (GATATI IN ('T','F'));

/*-- SEQ 0094 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPRXGAT ADD CONSTRAINT CK_CPRXGAT_TIPGAT_FUT CHECK (((TIPGAT = 'F') AND (FILCPRFUT IS NOT NULL) AND (SEQCPRFUT IS NOT NULL)) OR ((TIPGAT <> 'F') AND (FILCPRFUT IS NULL) AND (SEQCPRFUT IS NULL)));

/*-- SEQ 0095 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CPRXGAT MODIFY (GATATI DEFAULT 'T');

/*-- SEQ 0096 --*/
-- Ticket 2020055007 --
CREATE TABLE TT_GATXPRO (
   FILCPR CHAR(3),
   SEQCPR CHAR(10),
   SEQGAT CHAR(10),
   SEQUEN CHAR(10),
   DATINC Date,
   ATU_EM Date,
   QTDMIN Number(12,4),
   QTDMAX Number(12,4),
   CODDEP Number(5),
   CODCL1 Number(5),
   CODCL2 Number(5),
   CODCL3 Number(5),
   CODCL4 Number(5),
   FILMAT CHAR(3),
   CODMAT CHAR(5),
   CODCOR Number(5),
   CODTAM Number(5)
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0097 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXPRO ADD CONSTRAINT PK_GATXPRO PRIMARY KEY (FILCPR, SEQCPR, SEQGAT, SEQUEN);

/*-- SEQ 0098 --*/
-- Ticket 2020055007 --
CREATE SEQUENCE SQGATXPRO INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0099 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXPRO ADD CONSTRAINT FK_GATXPRO_CPRXGAT FOREIGN KEY (FILCPR, SEQCPR, SEQGAT) REFERENCES TT_CPRXGAT (FILCPR, SEQCPR, SEQUEN);

/*-- SEQ 0100 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_GATXPRO_CPRXGAT ON TT_GATXPRO (FILCPR, SEQCPR, SEQGAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0101 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXPRO ADD CONSTRAINT FK_CPRXGAT_DEP FOREIGN KEY (CODDEP) REFERENCES TD_DEP (CODTAB);

/*-- SEQ 0102 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_CPRXGAT_DEP ON TT_GATXPRO (CODDEP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0103 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXPRO ADD CONSTRAINT FK_CPRXGAT_DCL1 FOREIGN KEY (CODCL1) REFERENCES TD_CL1 (CODTAB);

/*-- SEQ 0104 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_CPRXGAT_DCL1 ON TT_GATXPRO (CODCL1) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0105 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXPRO ADD CONSTRAINT FK_CPRXGAT_DCL2 FOREIGN KEY (CODCL2) REFERENCES TD_CL2 (CODTAB);

/*-- SEQ 0106 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_CPRXGAT_DCL2 ON TT_GATXPRO (CODCL2) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0107 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXPRO ADD CONSTRAINT FK_CPRXGAT_DCL3 FOREIGN KEY (CODCL3) REFERENCES TD_CL3 (CODTAB);

/*-- SEQ 0108 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_CPRXGAT_DCL3 ON TT_GATXPRO (CODCL3) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0109 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXPRO ADD CONSTRAINT FK_CPRXGAT_DCL4 FOREIGN KEY (CODCL4) REFERENCES TD_CL4 (CODTAB);

/*-- SEQ 0110 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_CPRXGAT_DCL4 ON TT_GATXPRO (CODCL4) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0111 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXPRO ADD CONSTRAINT FK_CPRXGAT_PRO FOREIGN KEY (FILMAT, CODMAT) REFERENCES TT_PRO (FILMAT, CODMAT);

/*-- SEQ 0112 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_CPRXGAT_PRO ON TT_GATXPRO (FILMAT, CODMAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0113 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXPRO ADD CONSTRAINT FK_CPRXGAT_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0114 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_CPRXGAT_GRA ON TT_GATXPRO (FILMAT, CODMAT, CODCOR, CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0115 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXPRO MODIFY (DATINC CONSTRAINT NN_GATXPRO_DATINC NOT NULL);


/*-- SEQ 0116 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXPRO MODIFY (ATU_EM CONSTRAINT NN_GATXPRO_ATU_EM NOT NULL);


/*-- SEQ 0117 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXPRO ADD CONSTRAINT CK_GATXPRO_QTDMIN CHECK ((QTDMIN IS NULL) OR (QTDMIN > 0));

/*-- SEQ 0118 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXPRO ADD CONSTRAINT CK_GATXPRO_QTDMAX CHECK ((QTDMAX IS NULL) OR (QTDMAX > 0));

/*-- SEQ 0119 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXPRO ADD CONSTRAINT CK_GATXPRO_QTDE CHECK ((QTDMAX >= COALESCE(QTDMIN,0)) OR (QTDMAX IS NULL));

/*-- SEQ 0120 --*/
-- Ticket 2020055007 --
CREATE TABLE TT_GATXCLI (
   FILCPR CHAR(3),
   SEQCPR CHAR(10),
   SEQGAT CHAR(10),
   SEQUEN CHAR(10),
   DATINC Date,
   ATU_EM Date,
   CODCT1 Number(5),
   CODCT2 Number(5),
   CODCT3 Number(5),
   FILCLI CHAR(3),
   CODCLI CHAR(6)
  ) TABLESPACE TOTALL_DATA; 

/*-- SEQ 0121 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXCLI ADD CONSTRAINT PK_GATXCLI PRIMARY KEY (FILCPR, SEQCPR, SEQGAT, SEQUEN);

/*-- SEQ 0122 --*/
-- Ticket 2020055007 --
CREATE SEQUENCE SQGATXCLI INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0123 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXCLI ADD CONSTRAINT FK_GATXCLI_CPRXGAT FOREIGN KEY (FILCPR, SEQCPR, SEQGAT) REFERENCES TT_CPRXGAT (FILCPR, SEQCPR, SEQUEN);

/*-- SEQ 0124 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_GATXCLI_CPRXGAT ON TT_GATXCLI (FILCPR, SEQCPR, SEQGAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0125 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXCLI ADD CONSTRAINT FK_GATXCLI_DCT1 FOREIGN KEY (CODCT1) REFERENCES TD_CT1 (CODTAB);

/*-- SEQ 0126 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_GATXCLI_DCT1 ON TT_GATXCLI (CODCT1) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0127 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXCLI ADD CONSTRAINT FK_GATXCLI_DCT2 FOREIGN KEY (CODCT2) REFERENCES TD_CT2 (CODTAB);

/*-- SEQ 0128 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_GATXCLI_DCT2 ON TT_GATXCLI (CODCT2) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0129 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXCLI ADD CONSTRAINT FK_GATXCLI_DCT3 FOREIGN KEY (CODCT3) REFERENCES TD_CT3 (CODTAB);

/*-- SEQ 0130 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_GATXCLI_DCT3 ON TT_GATXCLI (CODCT3) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0131 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXCLI ADD CONSTRAINT FK_GATXCLI_CLI FOREIGN KEY (FILCLI, CODCLI) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0132 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_GATXCLI_CLI ON TT_GATXCLI (FILCLI, CODCLI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0133 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXCLI MODIFY (DATINC CONSTRAINT NN_GATXCLI_DATINC NOT NULL);


/*-- SEQ 0134 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXCLI MODIFY (ATU_EM CONSTRAINT NN_GATXCLI_ATU_EM NOT NULL);


/*-- SEQ 0135 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXCLI ADD CONSTRAINT CK_GATXCLI_CODCT CHECK ((CODCT1 IS NOT NULL) OR (CODCT2 IS NOT NULL) OR (CODCT3 IS NOT NULL) OR ((FILCLI IS NOT NULL) AND (CODCLI IS NOT NULL)));

/*-- SEQ 0136 --*/
-- Ticket 2020055007 --
CREATE TABLE TT_GATXAPL (
   FILCPR CHAR(3),
   SEQCPR CHAR(10),
   SEQGAT CHAR(10),
   SEQUEN CHAR(10),
   DATINC Date, 
   ATU_EM Date,
   TIPAPL CHAR(1),
   VLRAPL Number(12,4),
   QTDAPL Number(12,4),
   MULAPL VARCHAR2(1),
   CODDEP Number(5),
   CODCL1 Number(5),
   CODCL2 Number(5),
   CODCL3 Number(5),
   CODCL4 Number(5),
   FILMAT CHAR(3),
   CODMAT CHAR(5),
   CODCOR Number(5),
   CODTAM Number(5)
  ) TABLESPACE TOTALL_DATA; 

/*-- SEQ 0137 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT PK_GATXAPL PRIMARY KEY (FILCPR, SEQCPR, SEQGAT, SEQUEN);

/*-- SEQ 0138 --*/
-- Ticket 2020055007 --
CREATE SEQUENCE SQAPLXPRO INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0139 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT FK_GATXAPL_CPRXGAT FOREIGN KEY (FILCPR, SEQCPR, SEQGAT) REFERENCES TT_CPRXGAT (FILCPR, SEQCPR, SEQUEN);

/*-- SEQ 0140 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_GATXAPL_CPRXGAT ON TT_GATXAPL (FILCPR, SEQCPR, SEQGAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0141 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT FK_GATXAPL_DDEP FOREIGN KEY (CODDEP) REFERENCES TD_DEP (CODTAB);

/*-- SEQ 0142 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_GATXAPL_DDEPT ON TT_GATXAPL (CODDEP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0143 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT FK_GATXAPL_DCL1 FOREIGN KEY (CODCL1) REFERENCES TD_CL1 (CODTAB);

/*-- SEQ 0144 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_GATXAPL_DCL1 ON TT_GATXAPL (CODCL1) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0145 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT FK_GATXAPL_DCL2 FOREIGN KEY (CODCL2) REFERENCES TD_CL2 (CODTAB);

/*-- SEQ 0146 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_GATXAPL_DCL2 ON TT_GATXAPL (CODCL2) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0147 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT FK_GATXAPL_DCL3 FOREIGN KEY (CODCL3) REFERENCES TD_CL3 (CODTAB);

/*-- SEQ 0148 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_GATXAPL_DCL3 ON TT_GATXAPL (CODCL3) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0149 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT FK_GATXAPL_DCL4 FOREIGN KEY (CODCL4) REFERENCES TD_CL4 (CODTAB);

/*-- SEQ 0150 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_GATXAPL_DCL4 ON TT_GATXAPL (CODCL4) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0151 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT FK_GATXAPL_PRO FOREIGN KEY (FILMAT, CODMAT) REFERENCES TT_PRO (FILMAT, CODMAT);

/*-- SEQ 0152 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_GATXAPL_PRO ON TT_GATXAPL (FILMAT, CODMAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0153 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT FK_GATXAPL_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0154 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_GATXAPL_GRA ON TT_GATXAPL (FILMAT, CODMAT, CODCOR, CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0155 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL MODIFY (DATINC CONSTRAINT NN_GATXAPL_DATINC NOT NULL);


/*-- SEQ 0156 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL MODIFY (ATU_EM CONSTRAINT NN_GATXAPL_ATU_EM NOT NULL);


/*-- SEQ 0157 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL MODIFY (TIPAPL CONSTRAINT NN_GATXAPL_TIPAPL NOT NULL);


/*-- SEQ 0158 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL MODIFY (VLRAPL CONSTRAINT NN_GATXAPL_VLRAPL NOT NULL);


/*-- SEQ 0159 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL MODIFY (MULAPL CONSTRAINT NN_GATXAPL_MULAPL NOT NULL);


/*-- SEQ 0160 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT CK_GATXAPL_TIPAPL CHECK (TIPAPL IN ('F', 'P', 'V'));

/*-- SEQ 0161 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT CK_GATXAPL_VLRAPL CHECK (VLRAPL >= 0);

/*-- SEQ 0162 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT CK_GATXAPL_TIPFILAPL CHECK ((TIPAPL <> 'F') OR ((TIPAPL = 'F') AND (FILMAT IS NOT NULL)));

/*-- SEQ 0163 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT CK_GATXAPL_MULAPL CHECK (MULAPL IN ('T', 'F'));

/*-- SEQ 0164 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT CK_GATXAPL_MULVLR CHECK (((MULAPL = 'T') AND (VLRAPL > 0)) OR (MULAPL = 'F'));

/*-- SEQ 0165 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_GATXAPL MODIFY (MULAPL DEFAULT 'F');

/*-- SEQ 0166 --*/
-- Ticket 2020055007 --
CREATE TABLE TT_CUP (
   CODFIL CHAR(3),
   SEQUEN CHAR(10),
   FILCPR CHAR(3),
   SEQCPR CHAR(10),
   NUMERO VARCHAR2(20),
   TIPCOD VARCHAR2(1),
   DESCRI VARCHAR2(254),
   DATINC Date,
   ATU_EM Date,
   CUPATI VARCHAR2(1),
   DATINI Date,
   DATFIM Date,
   USOMAX Number(5),
   USOCLI Number(5)
  ) TABLESPACE TOTALL_DATA; 

/*-- SEQ 0167 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUP ADD CONSTRAINT PK_CUP PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0168 --*/
-- Ticket 2020055007 --
CREATE SEQUENCE SQCUP INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0169 --*/
-- Ticket 2020055007 --
CREATE SEQUENCE SQCUPNUM INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0170 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUP ADD CONSTRAINT FK_CUP_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0171 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_CUP_DFIL ON TT_CUP (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0172 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUP ADD CONSTRAINT FK_CUP_CPR FOREIGN KEY (FILCPR, SEQCPR) REFERENCES TT_CPR (CODFIL, SEQUEN);

/*-- SEQ 0173 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_CUP_CPR ON TT_CUP (FILCPR, SEQCPR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0174 --*/
-- Ticket 2020055007 --
CREATE INDEX I_LC_CUP_DESCRI ON TT_CUP (DESCRI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0175 --*/
-- Ticket 2020055007 --
CREATE INDEX I_LC_CUP_CUPATI ON TT_CUP (CUPATI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0176 --*/
-- Ticket 2020055007 --
CREATE INDEX I_LC_CUP_VALIDA ON TT_CUP (DATINI, DATFIM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0177 --*/
-- Ticket 2020055007 --
CREATE UNIQUE INDEX I_UQ_CUP ON TT_CUP (NUMERO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0178 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUP MODIFY (NUMERO CONSTRAINT NN_CUP_NUMERO NOT NULL);


/*-- SEQ 0179 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUP MODIFY (DESCRI CONSTRAINT NN_CUP_DESCRI NOT NULL);


/*-- SEQ 0180 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUP MODIFY (DATINC CONSTRAINT NN_CUP_DATINC NOT NULL);


/*-- SEQ 0181 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUP MODIFY (ATU_EM CONSTRAINT NN_CUP_ATU_EM NOT NULL);


/*-- SEQ 0182 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUP MODIFY (CUPATI CONSTRAINT NN_CUP_CUPATI NOT NULL);


/*-- SEQ 0183 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUP MODIFY (FILCPR CONSTRAINT NN_CUP_FILCPR NOT NULL);


/*-- SEQ 0184 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUP MODIFY (SEQCPR CONSTRAINT NN_CUP_SEQCPR NOT NULL);


/*-- SEQ 0185 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUP ADD CONSTRAINT CK_CUP_CUPATI CHECK (CUPATI IN ('T', 'F'));

/*-- SEQ 0186 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUP ADD CONSTRAINT CK_CUP_USOMAX CHECK ((USOMAX IS NULL) OR (USOMAX > 0));

/*-- SEQ 0187 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUP ADD CONSTRAINT CK_CUP_USOCLI CHECK ((USOCLI IS NULL) OR (USOCLI > 0));

/*-- SEQ 0188 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUP MODIFY (CUPATI DEFAULT 'T');

/*-- SEQ 0189 --*/
-- Ticket 2020055007 --
CREATE TABLE TT_CUPXUSO (
   FILCUP CHAR(3),
   SEQCUP CHAR(10),
   SEQUEN CHAR(10),
   DATINC Date,
   ATU_EM Date,
   FILCLI CHAR(3),
   CODCLI CHAR(6),
   FILVEN CHAR(3),
   SEQVEN CHAR(10)
  ) TABLESPACE TOTALL_DATA; 

/*-- SEQ 0190 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUPXUSO ADD CONSTRAINT PK_CUPXUSO PRIMARY KEY (FILCUP, SEQCUP, SEQUEN);

/*-- SEQ 0191 --*/
-- Ticket 2020055007 --
CREATE SEQUENCE SQCUPXUSO INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0192 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUPXUSO ADD CONSTRAINT FK_CUPXUSO_CUP FOREIGN KEY (FILCUP, SEQCUP) REFERENCES TT_CUP (CODFIL, SEQUEN);

/*-- SEQ 0193 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_CUPXUSO_CUP ON TT_CUPXUSO (FILCUP, SEQCUP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0194 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUPXUSO ADD CONSTRAINT FK_CUPXUSO_CLI FOREIGN KEY (FILCLI, CODCLI) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0195 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_CUPXUSO_CLI ON TT_CUPXUSO (FILCLI, CODCLI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0196 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUPXUSO ADD CONSTRAINT FK_CUPXUSO_VEN FOREIGN KEY (FILVEN, SEQVEN) REFERENCES TT_VEN (CODFIL, SEQUEN);

/*-- SEQ 0197 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_CUPXUSO_VEN ON TT_CUPXUSO (FILVEN, SEQVEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0198 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUPXUSO MODIFY (DATINC CONSTRAINT NN_CUPXUSO_DATINC NOT NULL);


/*-- SEQ 0199 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUPXUSO MODIFY (ATU_EM CONSTRAINT NN_CUPXUSO_ATU_EM NOT NULL);


/*-- SEQ 0200 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_CUPXUSO ADD CONSTRAINT CK_CUPXUSO_FIL CHECK (((FILCLI IS NOT NULL) AND (CODCLI IS NOT NULL)) OR ((FILVEN IS NOT NULL) AND (SEQVEN IS NOT NULL)));

/*-- SEQ 0201 --*/
-- Ticket 2020055007 --
CREATE TABLE TL_CPR (
   ID_LCPR Number(10),
   FILCPR CHAR(3),
   SEQCPR CHAR(10),
   DATOPE Date,
   FILUSU CHAR(3),
   CODUSU CHAR(3),
   MSGLOG VARCHAR2(4000),
   CODUID Number
  ) TABLESPACE TOTALL_DATA; 

/*-- SEQ 0202 --*/
-- Ticket 2020055007 --
ALTER TABLE TL_CPR ADD CONSTRAINT PK_LCPR PRIMARY KEY (ID_LCPR);

/*-- SEQ 0203 --*/
-- Ticket 2020055007 --
CREATE SEQUENCE SQLCPR INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0204 --*/
-- Ticket 2020055007 --
ALTER TABLE TL_CPR ADD CONSTRAINT FK_LCPR_CPR FOREIGN KEY (FILCPR, SEQCPR) REFERENCES TT_CPR (CODFIL, SEQUEN);

/*-- SEQ 0205 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_LCPR_CPR ON TL_CPR (FILCPR, SEQCPR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0206 --*/
-- Ticket 2020055007 --
ALTER TABLE TL_CPR ADD CONSTRAINT FK_LCPR_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0207 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_LCPR_USU ON TL_CPR (FILUSU, CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0208 --*/
-- Ticket 2020055007 --
ALTER TABLE TL_CPR ADD CONSTRAINT FK_LCPR_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0209 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_LCPR_UID ON TL_CPR (CODUID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0210 --*/
-- Ticket 2020055007 --
ALTER TABLE TL_CPR MODIFY (DATOPE CONSTRAINT NN_LCPR_DATOPE NOT NULL);


/*-- SEQ 0211 --*/
-- Ticket 2020055007 --
ALTER TABLE TL_CPR MODIFY (FILCPR CONSTRAINT NN_LCPR_FILCPR NOT NULL);


/*-- SEQ 0212 --*/
-- Ticket 2020055007 --
ALTER TABLE TL_CPR MODIFY (SEQCPR CONSTRAINT NN_LCPR_SEQCPR NOT NULL);


/*-- SEQ 0213 --*/
-- Ticket 2020055007 --
CREATE TABLE TL_CUP (
   ID_LCUP Number(10),
   FILCUP CHAR(3),
   SEQCUP CHAR(10),
   DATOPE Date,
   FILUSU CHAR(3),
   CODUSU CHAR(3),
   MSGLOG VARCHAR2(4000),
   CODUID Number
  ) TABLESPACE TOTALL_DATA; 

/*-- SEQ 0214 --*/
-- Ticket 2020055007 --
ALTER TABLE TL_CUP ADD CONSTRAINT PK_LCUP PRIMARY KEY (ID_LCUP);

/*-- SEQ 0215 --*/
-- Ticket 2020055007 --
CREATE SEQUENCE SQLCUP INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0216 --*/
-- Ticket 2020055007 --
ALTER TABLE TL_CUP MODIFY (DATOPE CONSTRAINT NN_LCUP_DATOPE NOT NULL);


/*-- SEQ 0217 --*/
-- Ticket 2020055007 --
ALTER TABLE TL_CUP MODIFY (FILCUP CONSTRAINT NN_LCUP_FILCUP NOT NULL);


/*-- SEQ 0218 --*/
-- Ticket 2020055007 --
ALTER TABLE TL_CUP MODIFY (SEQCUP CONSTRAINT NN_LCUP_SEQCUP NOT NULL);


/*-- SEQ 0219 --*/
-- Ticket 2020055007 --
ALTER TABLE TL_CUP ADD CONSTRAINT FK_LCUP_CUP FOREIGN KEY (FILCUP, SEQCUP) REFERENCES TT_CUP (CODFIL, SEQUEN);

/*-- SEQ 0220 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_LCUP_CUP ON TL_CUP (FILCUP, SEQCUP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0221 --*/
-- Ticket 2020055007 --
ALTER TABLE TL_CUP ADD CONSTRAINT FK_LCUP_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0222 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_LCUP_USU ON TL_CUP (FILUSU, CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0223 --*/
-- Ticket 2020055007 --
ALTER TABLE TL_CUP ADD CONSTRAINT FK_LCUP_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0224 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_LCUP_UID ON TL_CUP (CODUID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0225 --*/
-- Ticket 2020055007 --
CREATE TABLE TT_IORXCPR (
   ID_OXC Number(10),
   FILIOR CHAR(3),
   TIPIOR CHAR(1),
   NUMIOR CHAR(8),
   ITEIOR Number(10),
   FILCPR CHAR(3),
   SEQCPR CHAR(10),
   FILCUP CHAR(3),
   SEQCUP CHAR(10),
   QTDMOV Number(18,4),
   VLRMOV Number(18,4)
  ) TABLESPACE TOTALL_DATA; 

/*-- SEQ 0226 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_IORXCPR ADD CONSTRAINT PK_IORXCPR PRIMARY KEY (ID_OXC);

/*-- SEQ 0227 --*/
-- Ticket 2020055007 --
CREATE SEQUENCE SQOXC INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0228 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_IORXCPR ADD CONSTRAINT FK_IORXCPR_CPR FOREIGN KEY (FILCPR, SEQCPR) REFERENCES TT_CPR (CODFIL, SEQUEN);

/*-- SEQ 0229 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_IORXCPR_CPR ON TT_IORXCPR (FILCPR, SEQCPR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0230 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_IORXCPR ADD CONSTRAINT FK_IORXCPR_IOR FOREIGN KEY (FILIOR, TIPIOR, NUMIOR, ITEIOR) REFERENCES TT_IOR (CODFIL, TIPPED, NUMPED, NUMITE);

/*-- SEQ 0231 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_IORXCPR_IOR ON TT_IORXCPR (FILIOR, TIPIOR, NUMIOR, ITEIOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0232 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_IORXCPR ADD CONSTRAINT FK_IORXCPR_CUP FOREIGN KEY (FILCUP, SEQCUP) REFERENCES TT_CUP (CODFIL, SEQUEN);

/*-- SEQ 0233 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_IORXCPR_CUP ON TT_IORXCPR (FILCUP, SEQCUP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0234 --*/
-- Ticket 2020055007 --
CREATE TABLE TT_IVEXCPR (
   ID_VXC Number(10),
   FILIVE CHAR(3),
   SEQIVE CHAR(10),
   NUMIVE Number(10),
   FILCPR CHAR(3),
   SEQCPR CHAR(10),
   FILCUP CHAR(3),
   SEQCUP CHAR(10),
   QTDMOV Number(18,4),
   VLRMOV Number(18,4)
  ) TABLESPACE TOTALL_DATA; 

/*-- SEQ 0235 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_IVEXCPR ADD CONSTRAINT PK_IVEXCPR PRIMARY KEY (ID_VXC);

/*-- SEQ 0236 --*/
-- Ticket 2020055007 --
CREATE SEQUENCE SQVXC INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0237 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_IVEXCPR ADD CONSTRAINT FK_IVEXCPR_CPR FOREIGN KEY (FILCPR, SEQCPR) REFERENCES TT_CPR (CODFIL, SEQUEN);

/*-- SEQ 0238 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_IVEXCPR_CPR ON TT_IVEXCPR (FILCPR, SEQCPR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0239 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_IVEXCPR ADD CONSTRAINT FK_IVEXCPR_IVE FOREIGN KEY (FILIVE, SEQIVE, NUMIVE) REFERENCES TT_IVE (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0240 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_IVEXCPR_IVE ON TT_IVEXCPR (FILIVE, SEQIVE, NUMIVE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0241 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_IVEXCPR ADD CONSTRAINT FK_IVEXCPR_CUP FOREIGN KEY (FILCUP, SEQCUP) REFERENCES TT_CUP (CODFIL, SEQUEN);

/*-- SEQ 0242 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_IVEXCPR_CUP ON TT_IVEXCPR (FILCUP, SEQCUP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0243 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_ORC ADD FILCUP CHAR(3) ;


/*-- SEQ 0244 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_ORC ADD SEQCUP CHAR(10) ;
 
  
/*-- SEQ 0245 --*/
-- Ticket 2020055007 --
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_CUP FOREIGN KEY (FILCUP, SEQCUP) REFERENCES TT_CUP (CODFIL, SEQUEN);

/*-- SEQ 0246 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_ORC_CUP ON TT_ORC (FILCUP, SEQCUP) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0247 --*/
-- Ticket 2020052332 --
ALTER TABLE TT_CFG ADD ENT_FILCLI CHAR(3) ;


/*-- SEQ 0248 --*/
-- Ticket 2020052332 --
ALTER TABLE TT_CFG ADD ENT_CODCLI CHAR(6) ;


/*-- SEQ 0249 --*/
-- Tarefa 2020052332 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_ENT_CLI FOREIGN KEY (ENT_FILCLI, ENT_CODCLI) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0250 --*/
-- Ticket 2020055007 --
CREATE INDEX I_FK_CFG_ENT_CLI ON TT_CFG (ENT_FILCLI, ENT_CODCLI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0251 --*/
-- Ticket 2020052332 --
ALTER TABLE TW_CFG ADD ENT_FILCLI CHAR(3) ;


/*-- SEQ 0252 --*/
-- Ticket 2020052332 --
ALTER TABLE TW_CFG ADD ENT_CODCLI CHAR(6) ;


/*-- SEQ 0253 --*/
-- Ticket 2020052332 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0254 --*/
-- Ticket 2020052332 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'NUM_MAX_PARC_REC_CRT', 'Nmero mximo de Parcelas no Recebimento de Parcelas com Carto de Crdito', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NUM_MAX_PARC_REC_CRT'));

/*-- SEQ 0255 --*/
-- Ticket 2020052332 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113170 --
ALTER TABLE TT_TPR DROP CONSTRAINT CK_TPR_VAREJO;

/*-- SEQ 0257 --*/
-- Ticket 2020113170 --
ALTER TABLE TT_TPR ADD CONSTRAINT CK_TPR_VAREJO CHECK (VAREJO IN (0,1,2,3,4));



/*-- SEQ 0258 --*/
-- Ticket 2020120615 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0259 --*/
-- Ticket 2020120615 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'GRADE_E_COMMERCE', 'Tratar para enviar ou não o conceito de grade', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'GRADE_E_COMMERCE'));

/*-- SEQ 0260 --*/
-- Ticket 2020120615 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0261 --*/
-- Ticket 2020113694 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0262 --*/
-- Ticket 2020113694 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'FORCA_SEP_TRANS', 'Apenas Itens Separados na Transferncia do CommerceWeb?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'FORCA_SEP_TRANS'));

/*-- SEQ 0263 --*/
-- Ticket 2020113694 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0264 --*/
-- Ticket 2020113694 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0265 --*/
-- Ticket 2020113694 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'FORCA_SEP_TRANS'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0266 --*/
-- Ticket 2020113694 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;

/*-- SEQ 0267 --*/
-- Ticket 2020113694 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0268 --*/
-- Ticket 2020113694 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'NF_APOS_SEPARACAO_RP', 'Gera Nota Fiscal aps separao completa de pedido de reposio?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NF_APOS_SEPARACAO_RP'));

/*-- SEQ 0269 --*/
-- Ticket 2020113694 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0270 --*/
-- Ticket 2020113694 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0271 --*/
-- Ticket 2020113694 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'NF_APOS_SEPARACAO_RP'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0272 --*/
-- Ticket 2020113694 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0273 --*/
-- Ticket 2020120615 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0274 --*/
-- Ticket 2020120615 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'GRADE_E_COMMERCE', 'Tratar para enviar ou não o conceito de grade', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'GRADE_E_COMMERCE'));

/*-- SEQ 0275 --*/
-- Ticket 2020120615 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0276 --*/
-- Ticket 2020091044 --
ALTER TABLE TT_VEN DISABLE ALL TRIGGERS;

/*-- SEQ 0277 --*/
ALTER TABLE TT_VEN ADD EXPEM4 VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0278 --*/
ALTER TABLE TT_VEN ENABLE ALL TRIGGERS;

/*-- SEQ 0279 --*/
-- Ticket 2020091044 --
ALTER TABLE TT_COM DISABLE ALL TRIGGERS;

/*-- SEQ 0280 --*/
ALTER TABLE TT_COM ADD EXPEM4 VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0281 --*/
ALTER TABLE TT_COM ENABLE ALL TRIGGERS;

/*-- SEQ 0282 --*/
-- Ticket 2020091044 --
ALTER TABLE TT_ORC DISABLE ALL TRIGGERS;

/*-- SEQ 0283 --*/
ALTER TABLE TT_ORC ADD EXPEM4 VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0284 --*/
ALTER TABLE TT_ORC ENABLE ALL TRIGGERS;

/*-- SEQ 0285 --*/
-- Ticket 2020091044 --
ALTER TABLE TR_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0286 --*/
ALTER TABLE TR_ECF ADD EXPEM4 VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0287 --*/
ALTER TABLE TR_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0288 --*/
-- Ticket 2020091044 --
ALTER TABLE TT_LID DISABLE ALL TRIGGERS;

/*-- SEQ 0289 --*/
ALTER TABLE TT_LID ADD EXPEM4 VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0290 --*/
ALTER TABLE TT_LID ENABLE ALL TRIGGERS;

/*-- SEQ 0291 --*/
-- Ticket 2020091044 --
ALTER TABLE TT_PPR DISABLE ALL TRIGGERS;

/*-- SEQ 0292 --*/
ALTER TABLE TT_PPR ADD EXPEM4 VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0293 --*/
ALTER TABLE TT_PPR ENABLE ALL TRIGGERS;

/*-- SEQ 0294 --*/
-- Ticket 2020091044 --
ALTER TABLE TT_PPR DISABLE ALL TRIGGERS;

/*-- SEQ 0295 --*/
ALTER TABLE TT_PPR ADD EXPORT VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0296 --*/
ALTER TABLE TT_PPR ENABLE ALL TRIGGERS;

--- Tabelas do Financeiro/Contabilidade
/*-- SEQ 0297 --*/
-- Ticket 2020091044 --
ALTER TABLE TT_TRC DISABLE ALL TRIGGERS;

/*-- SEQ 0298 --*/
ALTER TABLE TT_TRC ADD EXPEM4 VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0299 --*/
ALTER TABLE TT_TRC ENABLE ALL TRIGGERS;

/*-- SEQ 0300 --*/
-- Ticket 2020091044 --
ALTER TABLE TT_CCC DISABLE ALL TRIGGERS;

/*-- SEQ 0301 --*/
ALTER TABLE TT_CCC ADD EXPEM4 VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0302 --*/
ALTER TABLE TT_CCC ENABLE ALL TRIGGERS;

/*-- SEQ 0303 --*/
-- Ticket 2020091044 --
ALTER TABLE TT_CHR DISABLE ALL TRIGGERS;

/*-- SEQ 0304 --*/
ALTER TABLE TT_CHR ADD EXPEM4 VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0305 --*/
ALTER TABLE TT_CHR ENABLE ALL TRIGGERS;

/*-- SEQ 0306 --*/
-- Ticket 2020091044 --
ALTER TABLE TT_DOP DISABLE ALL TRIGGERS;

/*-- SEQ 0307 --*/
ALTER TABLE TT_DOP ADD EXPEM4 VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0308 --*/
ALTER TABLE TT_DOP ENABLE ALL TRIGGERS;

/*-- SEQ 0309 --*/
-- Ticket 2020091044 --
ALTER TABLE TT_FIN DISABLE ALL TRIGGERS;

/*-- SEQ 0310 --*/
ALTER TABLE TT_FIN ADD EXPEM4 VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0311 --*/
ALTER TABLE TT_FIN ENABLE ALL TRIGGERS;

/*-- SEQ 0312 --*/
-- Ticket 2020091044 --
ALTER TABLE TT_TEF DISABLE ALL TRIGGERS;

/*-- SEQ 0313 --*/
ALTER TABLE TT_TEF ADD EXPEM4 VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0314 --*/
ALTER TABLE TT_TEF ENABLE ALL TRIGGERS;

/*-- SEQ 0315 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020091044 --
DROP VIEW TV_TIMU_CONTA_BANCARIA;


/*-- SEQ 0316 --*/
-- Ticket 2020076539 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0317 --*/
-- Ticket 2020076539 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'EDICAO_CADASTRO_API', 'Realiza Edio de Cadastro atravs da integrao via API?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EDICAO_CADASTRO_API'));

/*-- SEQ 0318 --*/
-- Ticket 2020076539 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0319 --*/
-- Ticket 2020076539 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0320 --*/
-- Ticket 2020076539 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'EDICAO_CADASTRO_API'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0321 --*/
-- Ticket 2020076539 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;

/*-- SEQ 0322 --*/
-- Ticket 2020076539 --
ALTER TABLE TT_VEN DISABLE ALL TRIGGERS;

/*-- SEQ 0323 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD EXT_EC VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0324 --*/
ALTER TABLE TT_VEN ENABLE ALL TRIGGERS;

/*-- SEQ 0325 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020076539 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_EXT_EC CHECK ((EXT_EC IN ('T','F')) OR (EXT_EC IS NULL));


/*-- SEQ 0326 --*/
-- Ticket 2020107633 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0327 --*/
-- Ticket 2020107633 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'SERIE_NF_ECOMMERCE', 'Série Nota Fiscal específica para uma Filial', 'T', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'SERIE_NF_ECOMMERCE'));

/*-- SEQ 0328 --*/
-- Ticket 2020107633 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0329 --*/
-- Ticket 2020070949 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0330 --*/
-- Ticket 2020070949 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'NF_APOS_SEPARACAO_TE', 'Gera Nota Fiscal aps separao completa de oramento com Televendas?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NF_APOS_SEPARACAO_TE'));

/*-- SEQ 0331 --*/
-- Ticket 2020070949 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0332 --*/
-- Ticket 2020070949 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0333 --*/
-- Ticket 2020070949 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'NF_APOS_SEPARACAO_TE'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0334 --*/
-- Ticket 2020070949 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0335 --*/
-- Ticket 2020113442 --
ALTER TABLE TT_COM ADD CODIBG Number(10,0) ;


/*-- SEQ 0336 --*/
-- Ticket 2020113442 --
ALTER TABLE TT_COM ADD CONSTRAINT FK_COM_IBG FOREIGN KEY (CODIBG) REFERENCES TT_IBG (CODIBG);

/*-- SEQ 0337 --*/
-- Ticket 2020113442 --
CREATE INDEX I_FK_COM_IBG ON TT_COM (CODIBG) TABLESPACE TOTALL_INDEX;



/*-- SEQ 0338 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020078380 --
ALTER TABLE TT_ORC ADD FILRET CHAR(3) ;


/*-- SEQ 0339 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020078380 --
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_FILRET FOREIGN KEY (FILRET) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0340 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020078380 --
CREATE INDEX I_FK_ORC_FILRET ON TT_ORC (FILRET) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0341 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020115479 --
ALTER TABLE TT_AUT DROP CONSTRAINT CK_AUT_TIPAUT;

/*-- SEQ 0342 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020115479 --
ALTER TABLE TT_AUT ADD ID_POS Number(10,0) ;


/*-- SEQ 0343 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020115479 --
ALTER TABLE TT_AUT ADD INSTAL Number(5,0) ;


/*-- SEQ 0344 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020115479 --
ALTER TABLE TT_AUT ADD TIPAUT_POS Number(10,0) ;


/*-- SEQ 0345 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020115479 --
CREATE INDEX I_LC_AUT_POS ON TT_AUT (CODFIL,NUMECF,INSTAL,ID_POS) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0346 --*/
-- Ticket 2021012988 --
ALTER TABLE TT_CPRXGAT ADD DESCRI VARCHAR2(254) ;



/*-- SEQ 0347 --*/
-- Ticket 2020113694 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0348 --*/
-- Ticket 2020113694 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'NF_APOS_SEPARACAO_RP', 'Gera Nota Fiscal aps separao completa de pedido de reposio?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NF_APOS_SEPARACAO_RP'));

/*-- SEQ 0349 --*/
-- Ticket 2020113694 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0350 --*/
-- Ticket 2020113694 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0351 --*/
-- Ticket 2020113694 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'NF_APOS_SEPARACAO_RP'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0352 --*/
-- Ticket 2020113694 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0353 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
SELECT * FROM NADA;

/*-- SEQ 0354 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
SELECT * FROM NADA;

/*-- SEQ 0355 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
SELECT * FROM NADA;

/*-- SEQ 0356 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
SELECT * FROM NADA;
   
/*-- SEQ 0357 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
SELECT * FROM NADA;

/*-- SEQ 0358 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
SELECT * FROM NADA;

/*-- SEQ 0359 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
SELECT * FROM NADA;

/*-- SEQ 0360 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
SELECT * FROM NADA;

/*-- SEQ 0361 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
SELECT * FROM NADA;

/*-- SEQ 0362 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
SELECT * FROM NADA;

/*-- SEQ 0363 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
SELECT * FROM NADA;

/*-- SEQ 0364 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
SELECT * FROM NADA;

/*-- SEQ 0365 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
SELECT * FROM NADA;


/*-- SEQ 0366 --*/
-- Ticket 2021016627 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0367 --*/
-- Ticket 2021016627 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'OBRIGA_TIPPGT_TELEVE', 'Obrigatrio informar o Tipo de Pagamento quando DAV/Pr-Venda com Televendas?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OBRIGA_TIPPGT_TELEVE'));

/*-- SEQ 0368 --*/
-- Ticket 2021016627 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0369 --*/
-- Ticket 2021016627 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0370 --*/
-- Ticket 2021016627 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'OBRIGA_TIPPGT_TELEVE'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0371 --*/
-- Ticket 2021016627 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0372 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021021208 --
ALTER TABLE TD_FIL MODIFY (DATBAS VARCHAR2(254));

/*-- SEQ 0373 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021021208 --
ALTER TABLE TD_FIL ADD PORTA_DB Number(10,0) ;


/*-- SEQ 0374 --*/
-- Ticket 2021021208 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0375 --*/
-- Ticket 2021021208 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PORTA_DB', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PORTA_DB'));

/*-- SEQ 0376 --*/
-- Ticket 2021021208 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0377 --*/
-- Ticket 2021016609 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0378 --*/
-- Ticket 2021016609 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'USA_ORC_KIT_SEP', 'Permitir vender Kit quando "Utiliza separao para entrega?". Ativar quando no utilizar Delivery.', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USA_ORC_KIT_SEP'));

/*-- SEQ 0379 --*/
-- Ticket 2021016609 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0380 --*/
-- Ticket 2021016609 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0381 --*/
-- Ticket 2021016609 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'USA_ORC_KIT_SEP'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0382 --*/
-- Ticket 2021016609 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0383 --*/
-- Ticket 2021015169 --
ALTER TABLE TI_CLI MODIFY (NUMFAX VARCHAR2(10));


/*-- SEQ 0384 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
ALTER TABLE TT_GATXPRO ADD CONSTRAINT FK_GATXPRO_DIV FOREIGN KEY (CODCOR) REFERENCES TT_DIV (CODITE);

/*-- SEQ 0385 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
CREATE INDEX I_FK_GATXPRO_DIV ON TT_GATXPRO (CODCOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0386 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
ALTER TABLE TT_GATXPRO ADD CONSTRAINT FK_GATXPRO_SUB FOREIGN KEY (CODTAM) REFERENCES TT_SUB (CODITE);

/*-- SEQ 0387 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
CREATE INDEX I_FK_GATXPRO_SUB ON TT_GATXPRO (CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0388 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT FK_GATXAPL_DIV FOREIGN KEY (CODCOR) REFERENCES TT_DIV (CODITE);

/*-- SEQ 0389 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
CREATE INDEX I_FK_GATXAPL_DIV ON TT_GATXAPL (CODCOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0390 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT FK_GATXAPL_SUB FOREIGN KEY (CODTAM) REFERENCES TT_SUB (CODITE);

/*-- SEQ 0391 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
CREATE INDEX I_FK_GATXAPL_SUB ON TT_GATXAPL (CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0392 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
ALTER TABLE TT_GATXAPL DROP CONSTRAINT CK_GATXAPL_TIPFILAPL;

