
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2020113694 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0003 --*/
-- Ticket 2020113694 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'NF_APOS_SEPARACAO_RP', 'Gera Nota Fiscal aps separao completa de pedido de reposio?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NF_APOS_SEPARACAO_RP'));

/*-- SEQ 0004 --*/
-- Ticket 2020113694 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0005 --*/
-- Ticket 2020113694 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0006 --*/
-- Ticket 2020113694 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'NF_APOS_SEPARACAO_RP'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0007 --*/
-- Ticket 2020113694 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
ALTER TABLE TT_GRA ADD SUGHED VARCHAR2(1) ;


/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
ALTER TABLE TT_GRA ADD GERSUG VARCHAR2(1) ;


/*-- SEQ 0010 --*/
-- Ticket 2020113693 --
ALTER TABLE TT_GRA DISABLE ALL TRIGGERS;


/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
UPDATE TT_GRA 
   SET SUGHED = 'F';
   
/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
UPDATE TT_GRA 
   SET GERSUG = 'F'; 

/*-- SEQ 0013 --*/
-- Ticket 2020113693 --
ALTER TABLE TT_GRA ENABLE ALL TRIGGERS;

/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
ALTER TABLE TT_GRA MODIFY (GERSUG DEFAULT 'F');

/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
ALTER TABLE TT_GRA MODIFY (SUGHED DEFAULT 'F');

/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
ALTER TABLE TT_GRA MODIFY (SUGHED CONSTRAINT NN_GRA_SUGHED NOT NULL);


/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
ALTER TABLE TT_GRA MODIFY (GERSUG CONSTRAINT NN_GRA_GERSUG NOT NULL);



/*-- SEQ 0018 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAY ADD TIP_LGPD VARCHAR2(1) ;


/*-- SEQ 0019 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAY DISABLE ALL TRIGGERS;

  
/*-- SEQ 0020 --*/
-- Ticket 2021018889 --
UPDATE TT_LAY 
   SET TIP_LGPD = 'D'; 

/*-- SEQ 0021 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAY ENABLE ALL TRIGGERS;

/*-- SEQ 0022 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAY MODIFY (TIP_LGPD DEFAULT 'D');

/*-- SEQ 0023 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAY ADD CONSTRAINT CK_LAY_TIP_LGPD CHECK (TIP_LGPD IN ('D', 'P', 'S'));

/*-- SEQ 0024 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAY MODIFY (TIP_LGPD CONSTRAINT NN_LAY_TIP_LGPD NOT NULL);




/*-- SEQ 0025 --*/
-- Ticket 2021018889 --
CREATE TABLE TT_LAYXLGPD (
   ID_LAYXLGPD Number(10),
   CODTAB CHAR(4),
   NOMCPO VARCHAR2(30),
   TIP_LGPD VARCHAR2(1),
   DATINC Date,
   ATU_EM Date
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0026 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAYXLGPD ADD CONSTRAINT PK_LAYXLGPD PRIMARY KEY (ID_LAYXLGPD);

/*-- SEQ 0027 --*/
-- Ticket 2021018889 --
CREATE SEQUENCE SQLAYXLGPD INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0028 --*/
-- Ticket 2021018889 --
CREATE UNIQUE INDEX I_UQ_LAYXLGPD ON TT_LAYXLGPD (CODTAB, NOMCPO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0029 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAYXLGPD MODIFY (TIP_LGPD DEFAULT 'D');

/*-- SEQ 0030 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAYXLGPD MODIFY (CODTAB CONSTRAINT NN_LAYXLGPD_CODTAB NOT NULL);


/*-- SEQ 0031 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAYXLGPD MODIFY (NOMCPO CONSTRAINT NN_LAYXLGPD_NOMCPO NOT NULL);


/*-- SEQ 0032 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAYXLGPD MODIFY (TIP_LGPD CONSTRAINT NN_LAYXLGPD_TIP_LGPD NOT NULL);


/*-- SEQ 0033 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAYXLGPD MODIFY (DATINC CONSTRAINT NN_LAYXLGPD_DATINC NOT NULL);


/*-- SEQ 0034 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAYXLGPD MODIFY (ATU_EM CONSTRAINT NN_LAYXLGPD_ATU_EM NOT NULL);


/*-- SEQ 0035 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAYXLGPD ADD CONSTRAINT CK_LAYXLGPD_TIP_LGPD CHECK (TIP_LGPD IN ('D', 'P', 'S'));

/*-- SEQ 0036 --*/
-- Ticket 2021018889 --
CREATE TABLE TL_LAYXLGPD (
   ID_LLAYXLGPD Number(10),
   ID_LAYXLGPD Number(10),
   DATOPE Date,
   FILUSU CHAR(3),
   CODUSU CHAR(3),
   MSGLOG VARCHAR2(4000),
   CODUID Number
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0037 --*/
-- Ticket 2021018889 --
ALTER TABLE TL_LAYXLGPD ADD CONSTRAINT PK_LLAYXLGPD PRIMARY KEY (ID_LLAYXLGPD);

/*-- SEQ 0038 --*/
-- Ticket 2021018889 --
CREATE SEQUENCE SQLLAYXLGPD INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0039 --*/
-- Ticket 2021018889 --
ALTER TABLE TL_LAYXLGPD ADD CONSTRAINT FK_LLAYXLGPD_LAYXLGPD FOREIGN KEY (ID_LAYXLGPD) REFERENCES TT_LAYXLGPD (ID_LAYXLGPD);

/*-- SEQ 0040 --*/
-- Ticket 2021018889 --
CREATE INDEX I_FK_LLAYXLGPD_LAYXLGPD ON TL_LAYXLGPD (ID_LAYXLGPD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0041 --*/
-- Ticket 2021018889 --
ALTER TABLE TL_LAYXLGPD ADD CONSTRAINT FK_LLAYXLGPD_USU FOREIGN KEY (FILUSU,CODUSU) REFERENCES TT_USU (FILUSU,CODUSU);

/*-- SEQ 0042 --*/
-- Ticket 2021018889 --
CREATE INDEX I_FK_LLAYXLGPD_USU ON TL_LAYXLGPD (FILUSU,CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0043 --*/
-- Ticket 2021018889 --
ALTER TABLE TL_LAYXLGPD ADD CONSTRAINT FK_LLAYXLGPD_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0044 --*/
-- Ticket 2021018889 --
CREATE INDEX I_FK_LLAYXLGPD_UID ON TL_LAYXLGPD (CODUID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0045 --*/
-- Ticket 2021018889 --
ALTER TABLE TL_LAYXLGPD MODIFY (ID_LAYXLGPD CONSTRAINT NN_LLAYXLGPD_ID_LAYXLGPD NOT NULL);


/*-- SEQ 0046 --*/
-- Ticket 2021018889 --
ALTER TABLE TL_LAYXLGPD MODIFY (DATOPE CONSTRAINT NN_LLAYXLGPD_DATOPE NOT NULL);


/*-- SEQ 0047 --*/
-- Ticket 2021018889 --
ALTER TABLE TL_LAYXLGPD MODIFY (FILUSU CONSTRAINT NN_LLAYXLGPD_FILUSU NOT NULL);


/*-- SEQ 0048 --*/
-- Ticket 2021018889 --
ALTER TABLE TL_LAYXLGPD MODIFY (CODUSU CONSTRAINT NN_LLAYXLGPD_CODUSU NOT NULL);



/*-- SEQ 0049 --*/
-- Ticket 2021016627 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0050 --*/
-- Ticket 2021016627 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'OBRIGA_TIPPGT_TELEVE', 'Obrigatrio informar o Tipo de Pagamento quando DAV/Pr-Venda com Televendas?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OBRIGA_TIPPGT_TELEVE'));

/*-- SEQ 0051 --*/
-- Ticket 2021016627 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0052 --*/
-- Ticket 2021016627 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0053 --*/
-- Ticket 2021016627 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'OBRIGA_TIPPGT_TELEVE'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0054 --*/
-- Ticket 2021016627 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;




/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021021208 --
ALTER TABLE TD_FIL MODIFY (DATBAS VARCHAR2(254));

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021021208 --
ALTER TABLE TD_FIL ADD PORTA_DB Number(10,0) ;


/*-- SEQ 0057 --*/
-- Ticket 2021021208 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0058 --*/
-- Ticket 2021021208 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PORTA_DB', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PORTA_DB'));

/*-- SEQ 0059 --*/
-- Ticket 2021021208 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0060 --*/
-- Ticket 2021016609 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0061 --*/
-- Ticket 2021016609 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'USA_ORC_KIT_SEP', 'Permitir vender Kit quando "Utiliza separao para entrega?". Ativar quando no utilizar Delivery.', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USA_ORC_KIT_SEP'));

/*-- SEQ 0062 --*/
-- Ticket 2021016609 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0063 --*/
-- Ticket 2021016609 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0064 --*/
-- Ticket 2021016609 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'USA_ORC_KIT_SEP'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0065 --*/
-- Ticket 2021016609 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0066 --*/
-- Ticket 2021015169 --
ALTER TABLE TI_CLI MODIFY (NUMFAX VARCHAR2(10));


/*-- SEQ 0067 --*/
-- Ticket 2021017406 --
ALTER TABLE TT_ORC ADD NUMPEDCOM VARCHAR2(20) ;


/*-- SEQ 0068 --*/
-- Ticket 2021017406 --
ALTER TABLE TT_IOR ADD NUMPEDCOM VARCHAR2(20) ;


/*-- SEQ 0069 --*/
-- Ticket 2021017406 --
ALTER TABLE TT_IOR ADD ITEPEDCOM Number(10) ;


/*-- SEQ 0070 --*/
-- Ticket 2021017406 --
ALTER TABLE TT_IVE ADD NUMPEDCOM VARCHAR2(20) ;


/*-- SEQ 0071 --*/
-- Ticket 2021017406 --
ALTER TABLE TT_IVE ADD ITEPEDCOM Number(10) ;





/*-- SEQ 0072 --*/
-- Ticket 2021019189 --
ALTER TABLE TW_TAB MODIFY (REGIAO VARCHAR2(30));

/*-- SEQ 0073 --*/
-- Ticket 2021019189 --
ALTER TABLE TD_REG MODIFY (REGIAO VARCHAR2(30));


/*-- SEQ 0074 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
ALTER TABLE TT_GATXPRO ADD CONSTRAINT FK_GATXPRO_DIV FOREIGN KEY (CODCOR) REFERENCES TT_DIV (CODITE);

/*-- SEQ 0075 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
CREATE INDEX I_FK_GATXPRO_DIV ON TT_GATXPRO (CODCOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
ALTER TABLE TT_GATXPRO ADD CONSTRAINT FK_GATXPRO_SUB FOREIGN KEY (CODTAM) REFERENCES TT_SUB (CODITE);

/*-- SEQ 0077 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
CREATE INDEX I_FK_GATXPRO_SUB ON TT_GATXPRO (CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT FK_GATXAPL_DIV FOREIGN KEY (CODCOR) REFERENCES TT_DIV (CODITE);

/*-- SEQ 0079 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
CREATE INDEX I_FK_GATXAPL_DIV ON TT_GATXAPL (CODCOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0080 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT FK_GATXAPL_SUB FOREIGN KEY (CODTAM) REFERENCES TT_SUB (CODITE);

/*-- SEQ 0081 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
CREATE INDEX I_FK_GATXAPL_SUB ON TT_GATXAPL (CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0082 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
ALTER TABLE TT_GATXAPL DROP CONSTRAINT CK_GATXAPL_TIPFILAPL;


/*-- SEQ 0083 --*/
-- Ticket 2021034619 --
ALTER TABLE TT_IUF MODIFY (PERDIF Number(7,4));

/*-- SEQ 0084 --*/
-- Ticket 2021034619 --
ALTER TABLE TT_ICO MODIFY (PERDIF Number(7,4));

/*-- SEQ 0085 --*/
-- Ticket 2021034619 --
ALTER TABLE TT_IVE MODIFY (PERDIF Number(7,4));


/*-- SEQ 0086 --*/
-- Ticket 2020065662 --
ALTER TABLE TL_SRV_MID DROP CONSTRAINT CK_LSVM_ORILOG;

/*-- SEQ 0087 --*/
-- Ticket 2020065662 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0088 --*/
-- Ticket 2020065662 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'MIDDLEWAREREST_HOST', 'IP do Servidor do Middleware Matriz para comunicao no padro REST Full', 'T', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'MIDDLEWAREREST_HOST'));

/*-- SEQ 0089 --*/
-- Ticket 2020065662 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'MIDDLEWAREREST_PORT', 'Porta do Servidor do Middleware Matriz para comunicao no padro REST Full', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'MIDDLEWAREREST_PORT'));

/*-- SEQ 0090 --*/
-- Ticket 2020065662 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TABELA_CATEGORIA_INT', 'Cdigo da Tabela de Classes(1, 2, 3, 4) para envio como Categoria na integrao "Mercos e etc.".', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TABELA_CATEGORIA_INT'));

/*-- SEQ 0091 --*/
-- Ticket 2020065662 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0092 --*/
-- Ticket 2021016609 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0093 --*/
-- Ticket 2021016609 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRTXT)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, CFG.GX_CFGMIDDLEWARE_HOST
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'MIDDLEWAREREST_HOST'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0094 --*/
-- Ticket 2021016609 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRINT)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 9000 -- Porta padro do novo servidor
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'MIDDLEWAREREST_PORT'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0095 --*/
-- Ticket 2021016609 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRINT)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 1
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'TABELA_CATEGORIA_INT'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0096 --*/
-- Ticket 2021016609 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0097 --*/
-- Ticket 2020065662 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0098 --*/
-- Ticket 2020065662 --
UPDATE TT_PCS SET DESPCS = 'Cdigo da Tabela de Classes(1, 2, 3, 4) para envio como Categoria na integrao "Mercos e etc.".'
 WHERE NOMPCS = 'TABELA_CATEGORIA_INT';

/*-- SEQ 0099 --*/
-- Ticket 2020065662 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TABELA_SEGMENTO_INT', 'Cdigo da Tabela de Categoria(1, 2, 3) para envio como Segmento na integrao "Mercos e etc.".', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TABELA_SEGMENTO_INT'));

/*-- SEQ 0100 --*/
-- Ticket 2020065662 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'NUM_CHR_PREF_CT_ECOM', 'Nmero de caracteres de prefixo da categoria de cliente para E-Commerce.', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NUM_CHR_PREF_CT_ECOM'));

/*-- SEQ 0101 --*/
-- Ticket 2020065662 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0102 --*/
-- Ticket 2020065662 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0103 --*/
-- Ticket 2020065662 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRINT)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 1
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'TABELA_SEGMENTO_INT'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0104 --*/
-- Ticket 2020065662 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;

